
/* ====================================================================
 * The Vovida Software License, Version 1.0 
 * 
 * Copyright (c) 2000 Vovida Networks, Inc.  All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 
 * 3. The names "VOCAL", "Vovida Open Communication Application Library",
 *    and "Vovida Open Communication Application Library (VOCAL)" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact vocal@vovida.org.
 *
 * 4. Products derived from this software may not be called "VOCAL", nor
 *    may "VOCAL" appear in their name, without prior written
 *    permission of Vovida Networks, Inc.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
 * NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
 * IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 * 
 * ====================================================================
 * 
 * This software consists of voluntary contributions made by Vovida
 * Networks, Inc. and many individuals on behalf of Vovida Networks,
 * Inc.  For more information on Vovida Networks, Inc., please see
 * <http://www.vovida.org/>.
 *
 */
static const char* const testUniqueId_cxx_Version =
    "$Id: testUniqueId.cxx,v 1.5 2000/12/18 23:42:38 bko Exp $";
#include "VTest.hxx"
#include "MgcpCommand.hxx"
#include <map>

#if 0
bool operator<(const UniqueId& id1, const UniqueId& id2)
{
    return id1.operator<(id2);
}
#endif

bool test_0()
{
    UniqueId id1("localhost", 5050, 0);
    UniqueId id2("localhost", 5050, 0);

    return (id1 == id2);
}


bool test_1()
{
    UniqueId id1("localhost", 5050, 0);
    UniqueId id2("localhost", 5050, 0);

    return ! (id1 < id2);
}


bool test_2()
{
    UniqueId id1("localhost", 5050, 0);
    UniqueId id2("localhost", 5050, 0);

    return ! (id2 < id1);

}


bool test_3()
{
    UniqueId id1("localhost", 5050, 0);
    UniqueId id2("localhost", 5050, 0);

    return (id1 == id2) && (id1 == id2);
}



bool test_4()
{
    UniqueId id1(string("localhost"), 5050, 0);
    UniqueId id2(string("localhost"), 5050, 0);
    map < UniqueId, int > testMap;

    testMap[id1] = 7;

    map < UniqueId, int > ::iterator i = testMap.find(id2);

    if (i != testMap.end())
        cout << "found the item in map  " << i->second << endl;

    i = testMap.begin();

    while (i != testMap.end())
    {
        cout << i->first << "!!!" << i->second << endl;
        i++;
    }

    return (testMap[id1] == 7);
}



int main()
{
    VTest myTest(__FILE__);

    myTest.test(0, test_0(), "equality test");
    myTest.test(1, test_1(), "lt1 test");
    myTest.test(2, test_2(), "lt2 test");
    myTest.test(3, test_3(), "equality 3 test");
    myTest.test(4, test_4(), "map 1 test");

    return myTest.exitCode();
}
