
/* ====================================================================
 * The Vovida Software License, Version 1.0 
 * 
 * Copyright (c) 2000 Vovida Networks, Inc.  All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 
 * 3. The names "VOCAL", "Vovida Open Communication Application Library",
 *    and "Vovida Open Communication Application Library (VOCAL)" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact vocal@vovida.org.
 *
 * 4. Products derived from this software may not be called "VOCAL", nor
 *    may "VOCAL" appear in their name, without prior written
 *    permission of Vovida Networks, Inc.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
 * NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
 * IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 * 
 * ====================================================================
 * 
 * This software consists of voluntary contributions made by Vovida
 * Networks, Inc. and many individuals on behalf of Vovida Networks,
 * Inc.  For more information on Vovida Networks, Inc., please see
 * <http://www.vovida.org/>.
 *
 */
static const char* const test_embedded_encode_cxx_Version =
    "$Id: test_embedded_encode.cxx,v 1.12 2001/01/17 01:52:25 liuhong Exp $";
#include "MgcpParameterEventGeneric.hxx"
#include "MgcpParameter.hxx"
#include "MgPackage.hxx"
#include "MgcPackage.hxx"

int test_01()
{

    MgcpEmbeddedRequest myEmbedded;

    MgcpParameterRequestedEventGeneric* myRequest1;
    MgcpParameterRequestedEventGeneric* myRequest2;

    myRequest1 = new MgcpParameterRequestedEventGeneric
                 (MgcpGenericEvent(MgcpGenericMediaPackageType,
                                   MgcGenericPackageReportFailure),
                  MgcpRequestedAction(MgcpRequestedActionTypeNotify));

    myRequest2 = new MgcpParameterRequestedEventGeneric(
                     MgcpGenericEvent(MgcpLinePackageType, MgcLinePackageOffHookTransition),
                     MgcpRequestedAction(MgcpRequestedActionTypeNotify));

    MgcpParameterSignalGeneric* mySignal1;

    mySignal1 = new MgcpParameterSignalGeneric(
                    MgcpGenericEvent(MgcpLinePackageType, MgcLinePackageBusyTone));

    myEmbedded.insertEvent(myRequest1);
    myEmbedded.insertEvent(myRequest2);
    myEmbedded.insertSignal(mySignal1);

    string x;

    x = myEmbedded.encode();
    cout << x << endl;

    MgcpEmbeddedRequest newEmbedded;
    newEmbedded.parse(x);

    newEmbedded.printData(cout);

    string y;

    y = newEmbedded.encode();

    cout << y << endl;

    if (x != y)
    {
        cout << "test failed\n";
        return 1;
    }

    return 0;
}


int test_02()
{
#if 0
    MgcpEmbeddedRequest myEmbedded;

    MgcpParameterRequestedEventGeneric* myRequest1;
    MgcpParameterRequestedEventGeneric* myRequest2;

    myRequest1 = new MgcpParameterRequestedEventGeneric
                 (MgcpGenericEvent(MgcpGenericMediaPackageType,
                                   MgcGenericPackageReportFailure),
                  MgcpRequestedAction(MgcpRequestedActionTypeNotify));

    myRequest2 = new MgcpParameterRequestedEventGeneric(
                     MgcpGenericEvent(MgcpLinePackageType, MgcLinePackageOffHookTransition),
                     MgcpRequestedAction(MgcpRequestedActionTypeNotify));

    MgcpParameterSignalGeneric* mySignal1;

    mySignal1 = new MgcpParameterSignalGeneric(
                    MgcpGenericEvent(MgcpLinePackageType, MgcLinePackageBusyTone));

    myEmbedded.insertEvent(myRequest1);
    myEmbedded.insertEvent(myRequest2);
    myEmbedded.insertSignal(mySignal1);

    string x;

    x = myEmbedded.encode();
    cout << x << endl;

    MgcpEmbeddedRequest newEmbedded;
    newEmbedded.parse(x);

    string y;
    y = newEmbedded.encode();

    cout << y << endl;

    if (x != y)
    {
        cout << "test failed\n";
        return 1;
    }

    newEmbedded.printData(cout);
#endif 
    return 0;
}


int main()
{
    return test_01() + test_02();
}
