
/* ====================================================================
 * The Vovida Software License, Version 1.0 
 * 
 * Copyright (c) 2000 Vovida Networks, Inc.  All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 
 * 3. The names "VOCAL", "Vovida Open Communication Application Library",
 *    and "Vovida Open Communication Application Library (VOCAL)" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact vocal@vovida.org.
 *
 * 4. Products derived from this software may not be called "VOCAL", nor
 *    may "VOCAL" appear in their name, without prior written
 *    permission of Vovida Networks, Inc.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
 * NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
 * IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 * 
 * ====================================================================
 * 
 * This software consists of voluntary contributions made by Vovida
 * Networks, Inc. and many individuals on behalf of Vovida Networks,
 * Inc.  For more information on Vovida Networks, Inc., please see
 * <http://www.vovida.org/>.
 *
 */
static const char* const test_substring_cxx_Version =
    "$Id: test_substring.cxx,v 1.5 2000/12/18 23:42:38 bko Exp $";
#include "global.h"
#include "substring.h"

const int NUM_TESTCASES = 2;

int main(void)
{
    bool pass[NUM_TESTCASES];

    int i;

    for (i = 0; i < NUM_TESTCASES; i++)
    {
        pass[i] = false;
    }

    string test[10];
    string answer[10];
    substring test_answer[10];

    test[0] = "this(isatest)";
    answer[0] = "isatest";
    test_answer[0] = substring(&(test[0]), 5, 7);
    cout << test[0] << ":" << test_answer[0] << endl;

    test_answer[1] = substring(test_answer[0], 2, 3);
    answer[1] = "ate";

    for (int i = 0; i < NUM_TESTCASES; i++)
    {
        if (test_answer[i] == answer[i])
        {
            pass[i] = true;
        }
        else
        {
            cout << "error:" << test_answer[i] << ":" << endl;
        }
    }

    bool pass_all = true;
    for (i = 0; i < NUM_TESTCASES; i++)
    {
        if (pass[i])
        {
            cout << "passed " << i << "\n";
        }
        else
        {
            cout << "failed " << i << "\n";
            pass_all = false;
        }
    }

    if (pass_all)
        exit(0);
    else
        exit( -1);
}
