
/* ====================================================================
 * The Vovida Software License, Version 1.0 
 * 
 * Copyright (c) 2000 Vovida Networks, Inc.  All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 
 * 3. The names "VOCAL", "Vovida Open Communication Application Library",
 *    and "Vovida Open Communication Application Library (VOCAL)" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact vocal@vovida.org.
 *
 * 4. Products derived from this software may not be called "VOCAL", nor
 *    may "VOCAL" appear in their name, without prior written
 *    permission of Vovida Networks, Inc.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
 * NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
 * IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 * 
 * ====================================================================
 * 
 * This software consists of voluntary contributions made by Vovida
 * Networks, Inc. and many individuals on behalf of Vovida Networks,
 * Inc.  For more information on Vovida Networks, Inc., please see
 * <http://www.vovida.org/>.
 *
 */
static const char* const test_timer_cxx_Version =
    "$Id: test_timer.cxx,v 1.7 2000/12/18 23:42:38 bko Exp $";
#include <stdio.h>
#include "time_functions.h"
#include <sys/types.h>
#include <unistd.h>
#ifdef __vxworks
#include "selectLib.h"
#endif

#include "Timer.h"
int main()
{
    int count = 0;
    Timer < int > x;

    fd_set rfds;
    struct timeval tv;
    int retval;


    // insert some times

    bool flag = true;

    while (flag)
    {
        /* Watch stdin (fd 0) to see when it has input. */
        FD_ZERO(&rfds);
        FD_SET(0, &rfds);
        /* Wait up to five seconds. */
        tv.tv_sec = 5;
        tv.tv_usec = 0;

        while (!x.sleepFor(&tv))
        {
            while (x.ready())
            {
                cout << "ready: event " << x.top() << endl;
                x.pop();
            }
        }


#if 0
        if (tv.tv_usec > 10000 || tv.tv_sec > 1)
        {
            cout << "waiting for:\n    " << tv.tv_sec << " seconds\n";
            cout << "    " << tv.tv_usec << "usec\n";
        }
#endif
#if 0
        else
        {
            cout << '.';
        }
#endif
        retval = select(1, &rfds, NULL, NULL, &tv);

        if (retval)
        {
            int time;
            cin >> time;
            if (time < 0)
            {
                exit(0);
            }
            cout << "inserting event " << count << " in " << time << " seconds\n";
            x.insert(count, time * 1000);
            count++;
        }
        else
        {
            while (x.ready())
            {
                cout << "ready: event " << x.top() << endl;
                x.pop();
            }
        }
    }

    exit(0);
}
