
/* ====================================================================
 * The Vovida Software License, Version 1.0 
 * 
 * Copyright (c) 2000 Vovida Networks, Inc.  All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 
 * 3. The names "VOCAL", "Vovida Open Communication Application Library",
 *    and "Vovida Open Communication Application Library (VOCAL)" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact vocal@vovida.org.
 *
 * 4. Products derived from this software may not be called "VOCAL", nor
 *    may "VOCAL" appear in their name, without prior written
 *    permission of Vovida Networks, Inc.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
 * NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
 * IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 * 
 * ====================================================================
 * 
 * This software consists of voluntary contributions made by Vovida
 * Networks, Inc. and many individuals on behalf of Vovida Networks,
 * Inc.  For more information on Vovida Networks, Inc., please see
 * <http://www.vovida.org/>.
 *
 */
static const char* const time_parsemsg_cxx_Version =
    "$Id: time_parsemsg.cxx,v 1.8 2000/12/18 23:42:38 bko Exp $";
#include "time_functions.h"
#include "MgcpCommand.hxx"
#include "MgcpParse.hxx"

int main(void)
{
    const int iteration_count = 10000;
    const int MAX_MSG = 256;
    char* testMessage[MAX_MSG] =
        {
            "rsip 20 ep50@lab4.private.vovida.com mgcp 0.1\r\n",
            "200 0 ok\r\n\r\n",
            "ntfy 50 ep50@lab4.private.vovida.com mgcp 0.1\r\no: l/hd\r\nx: 33\r\n",
            "200 101 \r\ni: 1\r\n\r\nv=0\r\no=- 0 0 in ip4 lab4.private.vovida.com\r\ns=Vovida Gateway\r\nc=in ip4 lab4.private.vovida.com\r\nm=audio 0 rtp/avp 0\r\n\r\n",
            "rsip 20 ep50@lab4.private.vovida.com mgcp 0.1\r\n",
            "200 0 ok\r\n\r\n",
            "ntfy 50 ep50@lab4.private.vovida.com mgcp 0.1\r\no: l/hd\r\nx: 33\r\n",
            "200 101 \r\ni: 1\r\n\r\nv=0\r\no=- 0 0 in ip4 lab4.private.vovida.com\r\ns=Vovida Gateway\r\nc=in ip4 lab4.private.vovida.com\r\nm=audio 0 rtp/avp 0\r\n\r\n",
            "",
        };

    int testMessageLength[MAX_MSG];

    int MessageMax = 0;

    int j = 0;
    while (!MessageMax && j < MAX_MSG)
    {
        testMessageLength[j] = strlen(testMessage[j]);
        if (testMessageLength[j] == 0)
        {
            MessageMax = j;
        }
        j++;
    }

    for (j = 0; j < MessageMax; j++)
    {
        struct timeval start;

        printf("Test %d: %d iterations\t\t", j, iteration_count);
        start_time(&start);
        for (int i = 0; i < iteration_count; i++)
        {
            MgcpCommand* x = parseMessage(testMessage[j], testMessageLength[j]);
            delete x;
        }
        end_rate(&start, iteration_count);
    }



    exit(0);
}
