
/* ====================================================================
 * The Vovida Software License, Version 1.0 
 * 
 * Copyright (c) 2000 Vovida Networks, Inc.  All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 
 * 3. The names "VOCAL", "Vovida Open Communication Application Library",
 *    and "Vovida Open Communication Application Library (VOCAL)" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact vocal@vovida.org.
 *
 * 4. Products derived from this software may not be called "VOCAL", nor
 *    may "VOCAL" appear in their name, without prior written
 *    permission of Vovida Networks, Inc.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
 * NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
 * IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 * 
 * ====================================================================
 * 
 * This software consists of voluntary contributions made by Vovida
 * Networks, Inc. and many individuals on behalf of Vovida Networks,
 * Inc.  For more information on Vovida Networks, Inc., please see
 * <http://www.vovida.org/>.
 *
 */

static const char* MgPackage_cxx_version =
"$Id: MgPackage.cxx,v 1.19 2001/01/26 02:45:53 liuhong Exp $";


#include "global.h"
#include "MgPackage.hxx"


#ifndef NCS_PROFILE
MgNotificationEvent MgGenericPackage::notifyModemDetect(string s)

{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageModemDetect, s);
    return foo;
}
MgNotificationEvent MgGenericPackage::notifyFaxToneDetect(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageFaxToneDetect, s);
    return foo;
}
MgNotificationEvent MgGenericPackage::notifyLongDurationConnection(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageLongDurationConnection, s);
    return foo;
}
MgNotificationEvent MgGenericPackage::notifyPatternDetected(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackagePatternDetected, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgGenericPackage::notifyReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageReportFailure, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_0(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_0, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_1(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_1, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_2(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_2, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_3(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_3, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_4(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_4, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_5(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_5, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_6(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_6, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_7(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_7, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_8(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_8, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_9(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_9, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_Hash(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_Hash, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_Star(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_Star, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_A(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_A, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_B(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_B, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_C(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_C, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyDTMF_D(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_D, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyLongDurationIndicator(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageLongDurationIndicator, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyWildcardMatch(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageWildcardMatchAnyDigit_0_9, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyInterdigitTimer(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageInterdigitTimer, s);
    return foo;
}
MgNotificationEvent MgDTMFPackage::notifyReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageReportFailure, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMF_0(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_0, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMF_1(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_1, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMF_2(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_2, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMF_3(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_3, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMF_4(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_4, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMF_5(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_5, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMF_6(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_6, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMF_7(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_7, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMF_8(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_8, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMF_9(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_9, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyWildcardMatch(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageWildcardMatchAnyDigit_0_9, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyInterdigitTimer(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageInterdigitTimer, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMFK0(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFK0, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMFK1(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFK1, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMFK2(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFK2, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMFS0(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFS0, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMFS1(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFS1, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMFS2(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFS2, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyMFS3(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFS3, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyWink(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageWink, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyWinkOff(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageWinkOff, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyIncomingSeizure(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageIncomingSeizure, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyReturnSeizure(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageReturnSeizure, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyUnseizeCircuit(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageUnseizeCircuit, s);
    return foo;
}
MgNotificationEvent MgMFPackage::notifyReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageReportFailure, s);
    return foo;
}
MgNotificationEvent MgTrunkPackage::notifyContinuityTone(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageContinuityTone, s);
    return foo;
}
MgNotificationEvent MgTrunkPackage::notifyContinuityTest(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageContinuityTest, s);
    return foo;
}
MgNotificationEvent MgTrunkPackage::notifyOldMilliwattTone(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageOldMilliwattTone, s);
    return foo;
}
MgNotificationEvent MgTrunkPackage::notifyNewMilliwattTone(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageNewMilliwattTone, s);
    return foo;
}
MgNotificationEvent MgTrunkPackage::notifyTestLine(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageTestLine, s);
    return foo;
}
MgNotificationEvent MgTrunkPackage::notifyNoCircuit(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageNoCircuit, s);
    return foo;
}
MgNotificationEvent MgTrunkPackage::notifyAnswerSupervision(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageAnswerSupervision, s);
    return foo;
}
MgNotificationEvent MgTrunkPackage::notifyReorderTone(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageReorderTone, s);
    return foo;
}
MgNotificationEvent MgTrunkPackage::notifyReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageReportFailure, s);
    return foo;
}
MgNotificationEvent MgLinePackage::notifyOffHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageOffHookTransition, s);
    return foo;
}
MgNotificationEvent MgLinePackage::notifyOnHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageOnHookTransition, s);
    return foo;
}
MgNotificationEvent MgLinePackage::notifyFlashHook(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageFlashHook, s);
    return foo;
}
MgNotificationEvent MgLinePackage::notifyAnswerTone(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageAnswerTone, s);
    return foo;
}
MgNotificationEvent MgLinePackage::notifyNetworkBusy(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageNetworkBusy, s);
    return foo;
}
MgNotificationEvent MgLinePackage::notifyPromptTone(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackagePromptTone, s);
    return foo;
}
MgNotificationEvent MgLinePackage::notifyErrorTone(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageErrorTone, s);
    return foo;
}
MgNotificationEvent MgLinePackage::notifyReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageReportOnCompletion, s);
    return foo;
}
MgNotificationEvent MgLinePackage::notifyDistinctiveTonePattern(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageDistinctiveTonePattern, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgLinePackage::notifyReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageReportFailure, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyAdsiDisplay(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageAdsiDisplay, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyOffHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageOffHookTransition, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyOnHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageOnHookTransition, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyFlashHook(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageFlashHook, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyAnswerTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageAnswerTone, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyBusyTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageBusyTone, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyCallWaitingTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageCallWaitingTone, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyDialTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageDialTone, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyNetworkBusy(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageNetworkBusy, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyRinging(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageRinging, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyDistinctiveRinging(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageDistinctiveRinging, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyPromptTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackagePromptTone, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyErrorTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageErrorTone, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyStutterDialtone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageStutterDialtone, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyAlertingTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageAlertingTone, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyRecorderWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageRecorderWarningTone, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifySITTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageSITTone, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyCallingCardServiceTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageCallingCardServiceTone, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageReportOnCompletion, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyOffHookWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageOffHookWarningTone, s);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyDistinctiveTonePattern(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageDistinctiveTonePattern, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgHandsetPackage::notifyReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageReportFailure, s);
    return foo;
}
MgNotificationEvent MgRTPPackage::notifyUsedCodecChanged(string s)
{
    MgcpGenericEvent foo(MgcpRTPPackageType, MgcRTPPackageUsedCodecChanged, s);
    return foo;
}
MgNotificationEvent MgRTPPackage::notifySamplingRateChanged(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpRTPPackageType, MgcRTPPackageSamplingRateChanged, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgRTPPackage::notifyJitterBufferSizeChanged(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpRTPPackageType, MgcRTPPackageJitterBufferSizeChanged, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgRTPPackage::notifyPacketLossExceeded(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpRTPPackageType, MgcRTPPackagePacketLossExceeded, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgRTPPackage::notifyQualityAlert(string s)
{
    MgcpGenericEvent foo(MgcpRTPPackageType, MgcRTPPackageQualityAlert, s);
    return foo;
}
MgNotificationEvent MgRTPPackage::notifyReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpRTPPackageType, MgcRTPPackageReportFailure, s);
    return foo;
}
MgNotificationEvent MgNetworkAccessServerPackage::notifyPacketArrival(string s)
{
    MgcpGenericEvent foo(MgcpNetworkAccessServerPackageType, MgcNetworkAccessServerPackagePacketArrival, s);
    return foo;
}
MgNotificationEvent MgNetworkAccessServerPackage::notifyCallBackRequest(string s)
{
    MgcpGenericEvent foo(MgcpNetworkAccessServerPackageType, MgcNetworkAccessServerPackageCallBackRequest, s);
    return foo;
}
MgNotificationEvent MgNetworkAccessServerPackage::notifyCarrierLost(string s)
{
    MgcpGenericEvent foo(MgcpNetworkAccessServerPackageType, MgcNetworkAccessServerPackageCarrierLost, s);
    return foo;
}
MgNotificationEvent MgNetworkAccessServerPackage::notifyAuthorizationSucceeded(string s)
{
    MgcpGenericEvent foo(MgcpNetworkAccessServerPackageType, MgcNetworkAccessServerPackageAuthorizationSucceeded, s);
    return foo;
}
MgNotificationEvent MgNetworkAccessServerPackage::notifyAuthorizationDenied(string s)
{
    MgcpGenericEvent foo(MgcpNetworkAccessServerPackageType, MgcNetworkAccessServerPackageAuthorizationDenied, s);
    return foo;
}
MgNotificationEvent MgNetworkAccessServerPackage::notifyReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpNetworkAccessServerPackageType, MgcNetworkAccessServerPackageReportFailure, s);
    return foo;
}
MgNotificationEvent MgAnnouncementPackage::notifyReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpAnnouncementPackageType, MgcAnnouncementPackageReportOnCompletion, s);
    return foo;
}
MgNotificationEvent MgAnnouncementPackage::notifyReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpAnnouncementPackageType, MgcAnnouncementPackageReportFailure, s);
    return foo;
}
MgNotificationEvent MgScriptPackage::notifyReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageReportOnCompletion, s);
    return foo;
}
MgNotificationEvent MgScriptPackage::notifyReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageReportFailure, s);
    return foo;
}

MgNotificationEvent MgXVoiceMailPackage::notifyMailboxNumber(const string& arg, string s)
{
    assert(0); // xxx this is not implmemented
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageReportFailure, s);
    return foo;
}

MgNotificationEvent MgXVoiceMailPackage::notifyMessageWaitingInd(const string& arg, string s)
{
    assert(0); // xxx this is not implemented
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageReportFailure, s);
    return foo;
}

/// MgAllPackages methods

MgNotificationEvent MgAllPackages::notifyModemDetect(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesModemDetect, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyFaxToneDetect(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesFaxToneDetect, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyLongDurationConnection(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLongDurationConnection, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyPatternDetected(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesPatternDetected, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesReportFailure, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_0(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_0, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_1(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_1, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_2(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_2, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_3(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_3, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_4(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_4, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_5(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_5, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_6(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_6, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_7(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_7, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_8(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_8, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_9(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_9, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_Hash(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_Hash, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_Star(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_Star, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_A(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_A, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_B(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_B, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_C(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_C, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDTMF_D(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_D, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyLongDurationIndicator(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLongDurationIndicator, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyWildcardMatch(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesWildcardMatchAnyDigit_0_9, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyInterdigitTimer(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesInterdigitTimer, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyMFK0(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesK0, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyMFK1(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesK1, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyMFK2(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesK2, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyMFS0(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesS0, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyMFS1(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesS1, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyMFS2(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesS2, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyMFS3(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesS3, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyWink(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesWink, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyWinkOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesWinkOff, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyIncomingSeizure(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesIncomingSeizure, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyReturnSeizure(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRingsplashOrReturnSeizure, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyUnseizeCircuit(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesUnseizeCircuit, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyContinuityTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesContinuityTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyContinuityTest(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesContinuityTest, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyOldMilliwattTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOldMilliwattTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyNewMilliwattTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNewMilliwattTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyTestLine(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesTestLine, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyNoCircuit(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNoCircuit, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyAnswerSupervision(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAnswerSupervision, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyReorderTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesReorderTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyOffHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOffHookTransition, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyOnHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOnHookTransition, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyFlashHook(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesFlashHook, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyAnswerTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAnswerTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyNetworkBusy(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNetworkBusy, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyPromptTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesPromptTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyErrorTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesErrorTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesReportOnCompletion, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDistinctiveTonePattern(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDistinctiveTonePattern, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyAdsiDisplay(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAdsiDisplay, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyBusyTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesBusyTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyCallWaitingTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallWaitingTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDialTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDialTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyRinging(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRinging, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyDistinctiveRinging(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDistinctiveRinging, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyStutterDialtone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesStutterDialtone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyAlertingTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAlertingTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyRecorderWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRecorderWarningTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifySITTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesSITTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyCallingCardServiceTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallingCardServiceTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyOffHookWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOffHookWarningTone, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyUsedCodecChanged(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesUsedCodecChanged, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifySamplingRateChanged(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesSamplingRateChanged, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyJitterBufferSizeChanged(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesJitterBufferSizeChanged, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyPacketLossExceeded(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLossExceeded, s);
    foo.setParameter(0, arg);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyQualityAlert(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesQualityAlert, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyPacketArrival(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesPacketArrival, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyCallBackRequest(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallBackRequest, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyCarrierLost(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCarrierLost, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyAuthorizationSucceeded(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAuthorizationSucceeded, s);
    return foo;
}
MgNotificationEvent MgAllPackages::notifyAuthorizationDenied(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAuthorizationDenied, s);
    return foo;
}

MgNotificationEvent MgAllPackages::notifyMailboxNumber(const string& arg, string s)
{
    assert(0); // xxx this is not implmemented
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesReportFailure, s);
    return foo;
}

MgNotificationEvent MgAllPackages::notifyMessageWaitingInd(const string& arg, string s)
{
    assert(0); // xxx this is not implemented
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesReportFailure, s);
    return foo;
}
#endif  // end of #ifndef NCS_PROFILE



/******************************************************************/
/* NCS PROFILE part */
/******************************************************************/
#ifdef NCS_PROFILE
MgNotificationEvent MgNCSLinePackage::notifyModemDetect(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageModemDetect, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyFaxToneDetect(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageFaxToneDetect, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyLongDurationConnection(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageLongDurationConnection, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyMediaStart(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageMediaStart, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType,MgcNCSLinePackageReportFailure , s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_0(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_0, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_1(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_1, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_2(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_2, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_3(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_3, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_4(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_4, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_5(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_5, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_6(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_6, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_7(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_7, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_8(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_8, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_9(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_9, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_Hash(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_Hash, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_Star(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_Star, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_A(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_A, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_B(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_B, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_C(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_C, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyDTMF_D(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_D, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyWildcardMatch(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageWildcardMatchAnyDigit_0_9, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyInterdigitTimer(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageInterdigitTimer, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyOffHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageOffHookTransition, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyOnHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageOnHookTransition, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyFlashHook(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageFlashHook, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyAnswerTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageAnswerTone, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageReportOnCompletion, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyOffHookWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageOffHookWarningTone, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyTeletypeDeviceForDeaf(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageTeletypeDeviceForDeaf, s);
    return foo;
}

MgNotificationEvent MgNCSLinePackage::notifyAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageAllEvents, s);
    return foo;
}

/// MgNCSAllPackages methods
MgNotificationEvent MgNCSAllPackages::notifyModemDetect(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesModemDetect, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyFaxToneDetect(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesFaxToneDetect, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyLongDurationConnection(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesLongDurationConnection, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyMediaStart(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesMediaStart, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesReportFailure, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_0(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_0, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_1(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_1, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_2(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_2, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_3(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_3, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_4(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_4, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_5(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_5, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_6(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_6, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_7(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_7, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_8(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_8, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_9(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_9, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_Hash(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_Hash, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_Star(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_Star, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_A(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_A, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_B(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_B, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_C(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_C, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyDTMF_D(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_D, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyWildcardMatch(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesWildcardMatchAnyDigit_0_9, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyInterdigitTimer(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesInterdigitTimer, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyOffHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesOffHookTransition, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyOnHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesOnHookTransition, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyFlashHook(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesFlashHook, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyAnswerTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesAnswerTone, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesReportOnCompletion, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyOffHookWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesOffHookWarningTone, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyTeletypeDeviceForDeaf(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesTeletypeDeviceForDeaf, s);
    return foo;
}

MgNotificationEvent MgNCSAllPackages::notifyAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesAllEvents, s);
    return foo;
}



#endif
