#ifndef MG_TYPES_HXX
#define MG_TYPES_HXX

/* ====================================================================
 * The Vovida Software License, Version 1.0 
 * 
 * Copyright (c) 2000 Vovida Networks, Inc.  All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 
 * 3. The names "VOCAL", "Vovida Open Communication Application Library",
 *    and "Vovida Open Communication Application Library (VOCAL)" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact vocal@vovida.org.
 *
 * 4. Products derived from this software may not be called "VOCAL", nor
 *    may "VOCAL" appear in their name, without prior written
 *    permission of Vovida Networks, Inc.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
 * NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
 * IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 * 
 * ====================================================================
 * 
 * This software consists of voluntary contributions made by Vovida
 * Networks, Inc. and many individuals on behalf of Vovida Networks,
 * Inc.  For more information on Vovida Networks, Inc., please see
 * <http://www.vovida.org/>.
 *
 */

static const char* const MgTypes_hxx_Version = 
"$Id: MgTypes.hxx,v 1.3 2001/01/26 02:45:59 liuhong Exp $";


#include "global.h"
#include "MgcpEventTypes.hxx"
#include "MgcpBaseEnums.hxx"


typedef void* MgcpResponseCodePtr;
typedef void* MgcpNotificationHandlingPtr;
typedef void* MgcpQuarantineTreatmentPtr;

typedef void* MgNCSLinePackageEventPtr;
typedef void* MgcpNCSLinePackageItemTypePtr;
typedef void* MgNCSAdsiPackageEventPtr;
typedef void* MgcpNCSAdsiPackageItemTypePtr;
typedef void* MgNCSAllPackagesEventPtr;
typedef void* MgcpNCSAllPackagesItemTypePtr;
typedef void* MgNCSLinePackageRequestedEventPtr;
typedef void* MgNCSAdsiPackageRequestedEventPtr;
typedef void* MgNCSAllPackagesRequestedEventPtr;

typedef void* MgNCSAllPackagesPtr;
typedef void* MgNCSAdsiPackagePtr;
typedef void* MgNCSLinePackagePtr;

typedef void* MgAllPackagesRequestedEventPtr;

typedef void* MgAllPackagesEventPtr;
typedef void* MgcpAllPackagesItemTypePtr;

typedef void* MgcpParameterRequestedEventsPtr;
typedef void* MgcpParameterCapabilitiesPtr;
typedef void* MgcpParameterConnectionParametersPtr;

typedef void* MgcpParameterTypePtr;
typedef void* MgSignalEventPtr;

typedef void* MgAuditConnectionPtr;
typedef void* MgAuditEndpointPtr;
typedef void* MgCommandPtr;
typedef void* MgCommandTypePtr;
typedef void* MgCreateConnectionPtr;
typedef void* MgDeleteConnectionAgentPtr;
typedef void* MgDeleteConnectionGwPtr;
typedef void* MgEndpointConfigurationPtr;
typedef void* MgEventPtr;
typedef void* MgModifyConnectionPtr;
typedef void* MgNotificationEventPtr;
typedef void* MgNotificationRequestPtr;
typedef void* MgNotifyPtr;
typedef void* MgRequestedEventPtr;
typedef void* MgRestartInProgressPtr;
typedef void* MgcpCommandPtr;
typedef void* MgcpResponsePtr;
typedef void* SdpSessionPtr;

typedef void* MgAgentPtr;
typedef void* MgAgentHandlePtr;
typedef void* fd_setPtr;

typedef void* MgAnnouncementPackagePtr;
typedef void* MgAnnouncementPackageEventPtr;
typedef void* MgDTMFPackagePtr;
typedef void* MgDTMFPackageEventPtr;
typedef void* MgGenericPackagePtr;
typedef void* MgGenericPackageEventPtr;
typedef void* MgHandsetPackagePtr;
typedef void* MgHandsetPackageEventPtr;
typedef void* MgLinePackagePtr;
typedef void* MgLinePackageEventPtr;
typedef void* MgMFPackagePtr;
typedef void* MgMFPackageEventPtr;
typedef void* MgNetworkAccessServerPackagePtr;
typedef void* MgNetworkAccessServerPackageEventPtr;
typedef void* MgRTPPackagePtr;
typedef void* MgRTPPackageEventPtr;
typedef void* MgScriptPackagePtr;
typedef void* MgScriptPackageEventPtr;
typedef void* MgTrunkPackagePtr;
typedef void* MgTrunkPackageEventPtr;
typedef void* MgXVoiceMailPackagePtr;
typedef void* MgXVoiceMailPackageEventPtr;


typedef void* MgcpAnnouncementPackageItemTypePtr;
typedef void* MgcpDTMFPackageItemTypePtr;
typedef void* MgcpGenericEventPtr;
typedef void* MgcpGenericPackageItemTypePtr;
typedef void* MgcpHandsetPackageItemTypePtr;
typedef void* MgcpLinePackageItemTypePtr;
typedef void* MgcpMFPackageItemTypePtr;
typedef void* MgcpNetworkAccessServerPackageItemTypePtr;
typedef void* MgcpRTPPackageItemTypePtr;
typedef void* MgcpScriptPackageItemTypePtr;
typedef void* MgcpTrunkPackageItemTypePtr;
typedef void* MgcpXVoiceMailPackageItemTypePtr;


typedef void* MgAnnouncementPackageRequestedEventPtr;
typedef void* MgDTMFPackageRequestedEventPtr;
typedef void* MgGenericPackageRequestedEventPtr;
typedef void* MgHandsetPackageRequestedEventPtr;
typedef void* MgLinePackageRequestedEventPtr;
typedef void* MgMFPackageRequestedEventPtr;
typedef void* MgNetworkAccessServerPackageRequestedEventPtr;
typedef void* MgRTPPackageRequestedEventPtr;
typedef void* MgScriptPackageRequestedEventPtr;
typedef void* MgTrunkPackageRequestedEventPtr;
typedef void* MgXVoiceMailPackageRequestedEventPtr;

typedef int MgAgentHandle;
typedef void* MgcpBearerInformationPtr;
typedef void* Sptr_Tmpl_MgCommand_Ptr;
typedef void* Sptr_Tmpl_MgEvent_Ptr;
typedef void* Sptr_Tmpl_MgRequestedEvent_Ptr;
typedef void* Sptr_Tmpl_MgcpResponse_Ptr;
typedef void* Sptr_Tmpl_MgcpCommand_Ptr;
typedef void* MgcpConnectionOptionsPtr;
typedef void* MgMessageStuffPtr;

typedef enum MgCommandType /* I want to change this to an typedef */ 
{
    MgInvalidCommandType,
    MgEndpointConfigurationType,
    MgCreateConnectionType,
    MgModifyConnectionType,
    MgDeleteConnectionAgentType,
    MgNotificationRequestType,
    MgNotifyType,
    MgAuditEndpointType,
    MgAuditConnectionType,
    MgRestartInProgressType,
    MgDeleteConnectionGwType
}MgCommandType;


#ifndef __cplusplus

#endif


#endif
