
/* ====================================================================
 * The Vovida Software License, Version 1.0 
 * 
 * Copyright (c) 2000 Vovida Networks, Inc.  All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 
 * 3. The names "VOCAL", "Vovida Open Communication Application Library",
 *    and "Vovida Open Communication Application Library (VOCAL)" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact vocal@vovida.org.
 *
 * 4. Products derived from this software may not be called "VOCAL", nor
 *    may "VOCAL" appear in their name, without prior written
 *    permission of Vovida Networks, Inc.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
 * NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
 * IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 * 
 * ====================================================================
 * 
 * This software consists of voluntary contributions made by Vovida
 * Networks, Inc. and many individuals on behalf of Vovida Networks,
 * Inc.  For more information on Vovida Networks, Inc., please see
 * <http://www.vovida.org/>.
 *
 */

static const char* MgcPackage_cxx_version =
"$Id: MgcPackage.cxx,v 1.18 2001/01/26 02:46:13 liuhong Exp $";


#include "global.h"
#include "MgcPackage.hxx"


#ifndef NCS_PROFILE
MgcRequestedEvent MgcGenericPackage::requestModemDetect(string s)

{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageModemDetect, s);
    return foo;
}
MgcRequestedEvent MgcGenericPackage::requestFaxToneDetect(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageFaxToneDetect, s);
    return foo;
}
MgcRequestedEvent MgcGenericPackage::requestLongDurationConnection(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageLongDurationConnection, s);
    return foo;
}
MgcRequestedEvent MgcGenericPackage::requestPatternDetected(const string& arg,string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackagePatternDetected, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcGenericPackage::requestReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageReportFailure, s);
    return foo;
}
MgcRequestedEvent MgcGenericPackage::requestAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageAllEvents, s);
    return foo;
}
MgcSignalEvent MgcGenericPackage::signalPatternDetectedOn(const string& arg,string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackagePatternDetected, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcGenericPackage::signalPatternDetectedOff(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackagePatternDetected, s);
    return foo;
}
MgcSignalEvent MgcGenericPackage::signalRingBackToneOn(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageRingBackTone, s);
    return foo;
}
MgcSignalEvent MgcGenericPackage::signalRingBackToneOff(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageRingBackTone, s);
    return foo;
}
MgcSignalEvent MgcGenericPackage::signalRingBackOnConnectionOn(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageRingBackOnConnection, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcGenericPackage::signalRingBackOnConnectionOff(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageRingBackOnConnection, s);
    return foo;
}
MgcSignalEvent MgcGenericPackage::signalConfirmTone(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageConfirmTone, s);
    return foo;
}
MgcSignalEvent MgcGenericPackage::signalNetworkCongestionToneOn(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageNetworkCongestionTone, s);
    return foo;
}
MgcSignalEvent MgcGenericPackage::signalNetworkCongestionToneOff(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageNetworkCongestionTone, s);
    return foo;
}
MgcSignalEvent MgcGenericPackage::signalInterceptToneOn(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageInterceptTone, s);
    return foo;
}
MgcSignalEvent MgcGenericPackage::signalInterceptToneOff(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackageInterceptTone, s);
    return foo;
}
MgcSignalEvent MgcGenericPackage::signalPreemtionToneOn(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackagePreemtionTone, s);
    return foo;
}
MgcSignalEvent MgcGenericPackage::signalPreemtionToneOff(string s)
{
    MgcpGenericEvent foo(MgcpGenericMediaPackageType, MgcGenericPackagePreemtionTone, s);
    return foo;
}

 MgcRequestedEvent MgcDTMFPackage::requestDTMF_0(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_0, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_1(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_1, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_2(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_2, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_3(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_3, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_4(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_4, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_5(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_5, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_6(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_6, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_7(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_7, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_8(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_8, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_9(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_9, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_Hash(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_Hash, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_Star(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_Star, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_A(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_A, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_B(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_B, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_C(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_C, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestDTMF_D(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_D, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestLongDurationIndicator(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageLongDurationIndicator, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestWildcardMatch(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageWildcardMatchAnyDigit_0_9, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestInterdigitTimer(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageInterdigitTimer, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageReportFailure, s);
    return foo;
}
MgcRequestedEvent MgcDTMFPackage::requestAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageAllEvents, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_0(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_0, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_1(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_1, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_2(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_2, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_3(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_3, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_4(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_4, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_5(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_5, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_6(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_6, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_7(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_7, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_8(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_8, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_9(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_9, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_Hash(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_Hash, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_Star(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_Star, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_A(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_A, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_B(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_B, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_C(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_C, s);
    return foo;
}
MgcSignalEvent MgcDTMFPackage::signalDTMF_D(string s)
{
    MgcpGenericEvent foo(MgcpDTMFPackageType, MgcDTMFPackageDTMF_D, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMF_0(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_0, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMF_1(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_1, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMF_2(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_2, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMF_3(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_3, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMF_4(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_4, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMF_5(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_5, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMF_6(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_6, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMF_7(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_7, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMF_8(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_8, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMF_9(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_9, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestWildcardMatch(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageWildcardMatchAnyDigit_0_9, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestInterdigitTimer(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageInterdigitTimer, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMFK0(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFK0, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMFK1(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFK1, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMFK2(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFK2, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMFS0(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFS0, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMFS1(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFS1, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMFS2(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFS2, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestMFS3(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFS3, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestWink(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageWink, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestWinkOff(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageWinkOff, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestIncomingSeizure(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageIncomingSeizure, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestReturnSeizure(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageReturnSeizure, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestUnseizeCircuit(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageUnseizeCircuit, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageReportFailure, s);
    return foo;
}
MgcRequestedEvent MgcMFPackage::requestAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageAllEvents, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMF_0(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_0, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMF_1(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_1, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMF_2(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_2, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMF_3(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_3, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMF_4(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_4, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMF_5(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_5, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMF_6(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_6, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMF_7(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_7, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMF_8(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_8, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMF_9(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMF_9, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMFK0(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFK0, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMFK1(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFK1, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMFK2(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFK2, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMFS0(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFS0, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMFS1(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFS1, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMFS2(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFS2, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalMFS3(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageMFS3, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalWink(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageWink, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalWinkOff(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageWinkOff, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalIncomingSeizureOn(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageIncomingSeizure, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalIncomingSeizureOff(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageIncomingSeizure, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalReturnSeizureOn(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageReturnSeizure, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalReturnSeizureOff(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageReturnSeizure, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalUnseizeCircuitOn(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageUnseizeCircuit, s);
    return foo;
}
MgcSignalEvent MgcMFPackage::signalUnseizeCircuitOff(string s)
{
    MgcpGenericEvent foo(MgcpMFPackageType, MgcMFPackageUnseizeCircuit, s);
    return foo;
}
MgcRequestedEvent MgcTrunkPackage::requestContinuityTone(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageContinuityTone, s);
    return foo;
}
MgcRequestedEvent MgcTrunkPackage::requestContinuityTest(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageContinuityTest, s);
    return foo;
}
MgcRequestedEvent MgcTrunkPackage::requestOldMilliwattTone(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageOldMilliwattTone, s);
    return foo;
}
MgcRequestedEvent MgcTrunkPackage::requestNewMilliwattTone(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageNewMilliwattTone, s);
    return foo;
}
MgcRequestedEvent MgcTrunkPackage::requestTestLine(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageTestLine, s);
    return foo;
}
MgcRequestedEvent MgcTrunkPackage::requestNoCircuit(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageNoCircuit, s);
    return foo;
}
MgcRequestedEvent MgcTrunkPackage::requestAnswerSupervision(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageAnswerSupervision, s);
    return foo;
}
MgcRequestedEvent MgcTrunkPackage::requestReorderTone(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageReorderTone, s);
    return foo;
}
MgcRequestedEvent MgcTrunkPackage::requestReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageReportFailure, s);
    return foo;
}
MgcRequestedEvent MgcTrunkPackage::requestAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageAllEvents, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalContinuityToneOn(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageContinuityTone, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalContinuityToneOff(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageContinuityTone, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalContinuityTestOn(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageContinuityTest, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalContinuityTestOff(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageContinuityTest, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalLoopbackOn(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageLoopback, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalLoopbackOff(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageLoopback, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalOldMilliwattToneOn(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageOldMilliwattTone, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalOldMilliwattToneOff(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageOldMilliwattTone, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalNewMilliwattToneOn(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageNewMilliwattTone, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalNewMilliwattToneOff(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageNewMilliwattTone, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalTestLineOn(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageTestLine, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalTestLineOff(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageTestLine, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalNoCircuitOn(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageNoCircuit, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalNoCircuitOff(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageNoCircuit, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalAnswerSupervisionOn(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageAnswerSupervision, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalAnswerSupervisionOff(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageAnswerSupervision, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalReorderToneOn(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageReorderTone, s);
    return foo;
}
MgcSignalEvent MgcTrunkPackage::signalReorderToneOff(string s)
{
    MgcpGenericEvent foo(MgcpTrunkPackageType, MgcTrunkPackageReorderTone, s);
    return foo;
}
MgcRequestedEvent MgcLinePackage::requestOffHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageOffHookTransition, s);
    return foo;
}
MgcRequestedEvent MgcLinePackage::requestOnHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageOnHookTransition, s);
    return foo;
}
MgcRequestedEvent MgcLinePackage::requestFlashHook(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageFlashHook, s);
    return foo;
}
MgcRequestedEvent MgcLinePackage::requestAnswerTone(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageAnswerTone, s);
    return foo;
}
MgcRequestedEvent MgcLinePackage::requestNetworkBusy(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageNetworkBusy, s);
    return foo;
}
MgcRequestedEvent MgcLinePackage::requestPromptTone(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackagePromptTone, s);
    return foo;
}
MgcRequestedEvent MgcLinePackage::requestErrorTone(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageErrorTone, s);
    return foo;
}
MgcRequestedEvent MgcLinePackage::requestReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageReportOnCompletion, s);
    return foo;
}
MgcRequestedEvent MgcLinePackage::requestDistinctiveTonePattern(const string& arg,string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageDistinctiveTonePattern, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcLinePackage::requestReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageReportFailure, s);
    return foo;
}
MgcRequestedEvent MgcLinePackage::requestAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageAllEvents, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalAdsiDisplay(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageAdsiDisplay, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalVisualMessageWaitingIndicatorOn(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageVisualMessageWaitingIndicator, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalVisualMessageWaitingIndicatorOff(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageVisualMessageWaitingIndicator, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalAnswerToneOn(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageAnswerTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalAnswerToneOff(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageAnswerTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalBusyToneOn(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageBusyTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalBusyToneOff(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageBusyTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalCallerId(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageCallerId, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalCallWaitingTone(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageCallWaitingTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalCallWaitingTone1(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageCallWaitingTone1, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalCallWaitingTone2(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageCallWaitingTone2, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalCallWaitingTone3(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageCallWaitingTone3, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalCallWaitingTone4(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageCallWaitingTone4, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalDialToneOn(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageDialTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalDialToneOff(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageDialTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalMessageWaitingIndOn(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageMessageWaitingInd, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalMessageWaitingIndOff(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageMessageWaitingInd, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalNetworkBusyOn(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageNetworkBusy, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalNetworkBusyOff(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageNetworkBusy, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalRingingOn(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageRinging, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalRingingOff(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageRinging, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalDistinctiveRingingOn(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageDistinctiveRinging, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalDistinctiveRingingOff(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageDistinctiveRinging, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalRingsplash(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageRingsplash, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalPromptTone(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackagePromptTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalErrorTone(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageErrorTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalStutterDialtoneOn(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageStutterDialtone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalStutterDialtoneOff(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageStutterDialtone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalAlertingToneOn(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageAlertingTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalAlertingToneOff(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageAlertingTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalRecorderWarningToneOn(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageRecorderWarningTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalRecorderWarningToneOff(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageRecorderWarningTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalCallingCardServiceToneOn(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageCallingCardServiceTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalCallingCardServiceToneOff(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageCallingCardServiceTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalOffHookWarningToneOn(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageOffHookWarningTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalOffHookWarningToneOff(string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageOffHookWarningTone, s);
    return foo;
}
MgcSignalEvent MgcLinePackage::signalDistinctiveTonePattern(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpLinePackageType, MgcLinePackageDistinctiveTonePattern, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestAdsiDisplay(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageAdsiDisplay, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestOffHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageOffHookTransition, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestOnHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageOnHookTransition, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestFlashHook(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageFlashHook, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestAnswerTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageAnswerTone, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestBusyTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageBusyTone, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestCallWaitingTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageCallWaitingTone, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestDialTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageDialTone, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestNetworkBusy(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageNetworkBusy, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestRinging(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageRinging, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestDistinctiveRinging(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageDistinctiveRinging, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestPromptTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackagePromptTone, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestErrorTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageErrorTone, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestStutterDialtone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageStutterDialtone, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestAlertingTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageAlertingTone, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestRecorderWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageRecorderWarningTone, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestSITTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageSITTone, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestCallingCardServiceTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageCallingCardServiceTone, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageReportOnCompletion, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestOffHookWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageOffHookWarningTone, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestDistinctiveTonePattern(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageDistinctiveTonePattern, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageReportFailure, s);
    return foo;
}
MgcRequestedEvent MgcHandsetPackage::requestAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageAllEvents, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalAdsiDisplay(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageAdsiDisplay, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalOffHookTransitionOn(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageOffHookTransition, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalOffHookTransitionOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageOffHookTransition, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalOnHookTransitionOn(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageOnHookTransition, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalOnHookTransitionOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageOnHookTransition, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalFlashHook(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageFlashHook, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalAnswerToneOn(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageAnswerTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalAnswerToneOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageAnswerTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalBusyToneOn(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageBusyTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalBusyToneOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageBusyTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalCallWaitingToneOn(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageCallWaitingTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalCallWaitingToneOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageCallWaitingTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalDialToneOn(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageDialTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalDialToneOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageDialTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalNetworkBusyOn(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageNetworkBusy, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalNetworkBusyOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageNetworkBusy, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalRingingOn(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageRinging, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalRingingOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageRinging, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalDistinctiveRingingOn(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageDistinctiveRinging, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalDistinctiveRingingOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageDistinctiveRinging, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalPromptTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackagePromptTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalErrorTone(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageErrorTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalStutterDialtoneOn(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageStutterDialtone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalStutterDialtoneOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageStutterDialtone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalAlertingToneOn(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageAlertingTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalAlertingToneOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageAlertingTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalRecorderWarningToneOn(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageRecorderWarningTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalRecorderWarningToneOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageRecorderWarningTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalCallingCardServiceToneOn(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageCallingCardServiceTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalCallingCardServiceToneOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageCallingCardServiceTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalOffHookWarningToneOn(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageOffHookWarningTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalOffHookWarningToneOff(string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageOffHookWarningTone, s);
    return foo;
}
MgcSignalEvent MgcHandsetPackage::signalDistinctiveTonePattern(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpHandsetPackageType, MgcHandsetPackageDistinctiveTonePattern, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcRTPPackage::requestUsedCodecChanged(string s)
{
    MgcpGenericEvent foo(MgcpRTPPackageType, MgcRTPPackageUsedCodecChanged, s);
    return foo;
}
MgcRequestedEvent MgcRTPPackage::requestSamplingRateChanged(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpRTPPackageType, MgcRTPPackageSamplingRateChanged, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcRTPPackage::requestJitterBufferSizeChanged(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpRTPPackageType, MgcRTPPackageJitterBufferSizeChanged, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcRTPPackage::requestPacketLossExceeded(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpRTPPackageType, MgcRTPPackagePacketLossExceeded, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcRTPPackage::requestQualityAlert(string s)
{
    MgcpGenericEvent foo(MgcpRTPPackageType, MgcRTPPackageQualityAlert, s);
    return foo;
}
MgcRequestedEvent MgcRTPPackage::requestReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpRTPPackageType, MgcRTPPackageReportFailure, s);
    return foo;
}
MgcRequestedEvent MgcRTPPackage::requestAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpRTPPackageType, MgcRTPPackageAllEvents, s);
    return foo;
}
MgcRequestedEvent MgcNetworkAccessServerPackage::requestPacketArrival(string s)
{
    MgcpGenericEvent foo(MgcpNetworkAccessServerPackageType, MgcNetworkAccessServerPackagePacketArrival, s);
    return foo;
}
MgcRequestedEvent MgcNetworkAccessServerPackage::requestCallBackRequest(string s)
{
    MgcpGenericEvent foo(MgcpNetworkAccessServerPackageType, MgcNetworkAccessServerPackageCallBackRequest, s);
    return foo;
}
MgcRequestedEvent MgcNetworkAccessServerPackage::requestCarrierLost(string s)
{
    MgcpGenericEvent foo(MgcpNetworkAccessServerPackageType, MgcNetworkAccessServerPackageCarrierLost, s);
    return foo;
}
MgcRequestedEvent MgcNetworkAccessServerPackage::requestAuthorizationSucceeded(string s)
{
    MgcpGenericEvent foo(MgcpNetworkAccessServerPackageType, MgcNetworkAccessServerPackageAuthorizationSucceeded, s);
    return foo;
}
MgcRequestedEvent MgcNetworkAccessServerPackage::requestAuthorizationDenied(string s)
{
    MgcpGenericEvent foo(MgcpNetworkAccessServerPackageType, MgcNetworkAccessServerPackageAuthorizationDenied, s);
    return foo;
}
MgcRequestedEvent MgcNetworkAccessServerPackage::requestReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpNetworkAccessServerPackageType, MgcNetworkAccessServerPackageReportFailure, s);
    return foo;
}
MgcRequestedEvent MgcNetworkAccessServerPackage::requestAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpNetworkAccessServerPackageType, MgcNetworkAccessServerPackageAllEvents, s);
    return foo;
}
MgcRequestedEvent MgcAnnouncementPackage::requestReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpAnnouncementPackageType, MgcAnnouncementPackageReportOnCompletion, s);
    return foo;
}
MgcRequestedEvent MgcAnnouncementPackage::requestReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpAnnouncementPackageType, MgcAnnouncementPackageReportFailure, s);
    return foo;
}
MgcRequestedEvent MgcAnnouncementPackage::requestAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpAnnouncementPackageType, MgcAnnouncementPackageAllEvents, s);
    return foo;
}
MgcSignalEvent MgcAnnouncementPackage::signalPlayAnAnnouncementOn(const string& arg0, const string& arg1, string s)
{
    MgcpGenericEvent foo(MgcpAnnouncementPackageType, MgcAnnouncementPackagePlayAnAnnouncement, s);
    foo.setParameter(0, arg0);
    foo.setParameter(1, arg1);
    return foo;
}
MgcSignalEvent MgcAnnouncementPackage::signalPlayAnAnnouncementOff(string s)
{
    MgcpGenericEvent foo(MgcpAnnouncementPackageType, MgcAnnouncementPackagePlayAnAnnouncement, s);
    return foo;
}
MgcRequestedEvent MgcScriptPackage::requestReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageReportOnCompletion, s);
    return foo;
}
MgcRequestedEvent MgcScriptPackage::requestReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageReportFailure, s);
    return foo;
}
MgcRequestedEvent MgcScriptPackage::requestAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageAllEvents, s);
    return foo;
}
MgcSignalEvent MgcScriptPackage::signalLoadAJavaScriptOn(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageLoadAJavaScript, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcScriptPackage::signalLoadAJavaScriptOff(string s)
{
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageLoadAJavaScript, s);
    return foo;
}
MgcSignalEvent MgcScriptPackage::signalLoadAPerlScriptOn(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageLoadAPerlScript, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcScriptPackage::signalLoadAPerlScriptOff(string s)
{
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageLoadAPerlScript, s);
    return foo;
}
MgcSignalEvent MgcScriptPackage::signalLoadATCLScriptOn(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageLoadATCLScript, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcScriptPackage::signalLoadATCLScriptOff(string s)
{
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageLoadATCLScript, s);
    return foo;
}
MgcSignalEvent MgcScriptPackage::signalLoadAnXMLScriptOn(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageLoadAnXMLScript, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcScriptPackage::signalLoadAnXMLScriptOff(string s)
{
    MgcpGenericEvent foo(MgcpScriptPackageType, MgcScriptPackageLoadAnXMLScript, s);
    return foo;
}


MgcRequestedEvent MgcAllPackages::requestModemDetect(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesModemDetect, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestFaxToneDetect(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesFaxToneDetect, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestLongDurationConnection(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType,MgcAllPackagesLongDurationConnection, s );
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestPatternDetected(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesPatternDetected, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesReportFailure, s);
    return foo;
}
 MgcRequestedEvent MgcAllPackages::requestDTMF_0(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_0, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_1(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_1, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_2(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType,MgcAllPackagesDTMF_2, s );
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_3(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_3, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_4(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_4, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_5(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_5, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_6(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_6, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_7(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_7, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_8(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_8, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_9(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_9, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_Hash(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType,MgcAllPackagesDTMF_Hash, s );
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_Star(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_Star, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_A(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType,MgcAllPackagesDTMF_A, s );
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_B(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_B, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_C(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_C, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDTMF_D(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_D, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestLongDurationIndicator(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLongDurationIndicator, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestWildcardMatch(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesWildcardMatchAnyDigit_0_9, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestInterdigitTimer(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesInterdigitTimer, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestMFK0(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesK0, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestMFK1(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesK1, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestMFK2(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesK2, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestMFS0(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesS0, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestMFS1(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesS1, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestMFS2(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesS2, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestMFS3(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesS3, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestWink(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesWink, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestWinkOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesWinkOff, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestIncomingSeizure(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesIncomingSeizure, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestReturnSeizure(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRingsplashOrReturnSeizure, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestUnseizeCircuit(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesUnseizeCircuit, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestContinuityTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesContinuityTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestContinuityTest(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesContinuityTest, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestOldMilliwattTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOldMilliwattTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestNewMilliwattTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNewMilliwattTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestTestLine(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesTestLine, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestNoCircuit(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNoCircuit, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestAnswerSupervision(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAnswerSupervision, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestReorderTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesReorderTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestOffHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOffHookTransition, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestOnHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOnHookTransition, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestFlashHook(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesFlashHook, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestAnswerTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAnswerTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestNetworkBusy(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNetworkBusy, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestPromptTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesPromptTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestErrorTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesErrorTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesReportOnCompletion, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDistinctiveTonePattern(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDistinctiveTonePattern, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestAdsiDisplay(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAdsiDisplay, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestBusyTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesBusyTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestCallWaitingTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallWaitingTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDialTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDialTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestRinging(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRinging, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestDistinctiveRinging(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDistinctiveRinging, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestStutterDialtone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesStutterDialtone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestAlertingTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAlertingTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestRecorderWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRecorderWarningTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestSITTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesSITTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestCallingCardServiceTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallingCardServiceTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestOffHookWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOffHookWarningTone, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestUsedCodecChanged(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesUsedCodecChanged, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestSamplingRateChanged(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesSamplingRateChanged, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestJitterBufferSizeChanged(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesJitterBufferSizeChanged, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestPacketLossExceeded(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLossExceeded, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestQualityAlert(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesQualityAlert, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestPacketArrival(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesPacketArrival, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestCallBackRequest(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallBackRequest, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestCarrierLost(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCarrierLost, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestAuthorizationSucceeded(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAuthorizationSucceeded, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestAuthorizationDenied(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAuthorizationDenied, s);
    return foo;
}
MgcRequestedEvent MgcAllPackages::requestAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAllEvents, s);
    return foo;
}





MgcSignalEvent MgcAllPackages::signalPlayAnAnnouncementOn(const string& arg0, const string& arg1, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesPlayAnAnnouncement, s);
    foo.setParameter(0, arg0);
    foo.setParameter(1, arg1);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalPlayAnAnnouncementOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesPlayAnAnnouncement, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalPatternDetectedOn(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesPatternDetected, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalPatternDetectedOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesPatternDetected, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalRingBackToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRingBackTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalRingBackToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRingBackTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalRingBackOnConnectionOn(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRingBackOnConnection, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalRingBackOnConnectionOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRingBackOnConnection, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalConfirmTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesConfirmTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalNetworkCongestionToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNetworkCongestionTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalNetworkCongestionToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNetworkCongestionTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalInterceptToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesInterceptTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalInterceptToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesInterceptTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalPreemtionToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesPreemtionTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalPreemtionToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesPreemtionTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_0(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_0, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_1(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_1, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_2(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_2, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_3(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_3, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_4(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_4, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_5(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_5, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_6(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_6, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_7(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_7, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_8(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_8, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_9(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_9, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_Hash(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_Hash, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_Star(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_Star, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_A(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_A, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_B(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_B, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_C(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_C, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDTMF_D(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDTMF_D, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalMFK0(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesK0, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalMFK1(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesK1, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalMFK2(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesK2, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalMFS0(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesS0, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalMFS1(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesS1, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalMFS2(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesS2, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalMFS3(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesS3, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalWink(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesWink, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalWinkOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesWinkOff, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalIncomingSeizureOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesIncomingSeizure, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalIncomingSeizureOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesIncomingSeizure, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalReturnSeizureOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRingsplashOrReturnSeizure, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalReturnSeizureOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRingsplashOrReturnSeizure, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalUnseizeCircuitOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesUnseizeCircuit, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalUnseizeCircuitOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesUnseizeCircuit, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalContinuityToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesContinuityTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalContinuityToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesContinuityTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalContinuityTestOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesContinuityTest, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalContinuityTestOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesContinuityTest, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalLoopbackOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLoopback, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalLoopbackOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLoopback, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalOldMilliwattToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOldMilliwattTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalOldMilliwattToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOldMilliwattTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalNewMilliwattToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNewMilliwattTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalNewMilliwattToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNewMilliwattTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalTestLineOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesTestLine, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalTestLineOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesTestLine, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalNoCircuitOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNoCircuit, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalNoCircuitOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNoCircuit, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalAnswerSupervisionOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAnswerSupervision, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalAnswerSupervisionOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAnswerSupervision, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalReorderToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesReorderTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalReorderToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesReorderTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalAdsiDisplay(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAdsiDisplay, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalVisualMessageWaitingIndicatorOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesVisualMessageWaitingIndicator, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalVisualMessageWaitingIndicatorOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesVisualMessageWaitingIndicator, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalAnswerToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAnswerTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalAnswerToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAnswerTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalBusyToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesBusyTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalBusyToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesBusyTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalCallerId(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallerId, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalCallWaitingTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallWaitingTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalCallWaitingTone1(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallWaitingTone1, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalCallWaitingTone2(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallWaitingTone2, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalCallWaitingTone3(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallWaitingTone3, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalCallWaitingTone4(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallWaitingTone4, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDialToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDialTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDialToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDialTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalMessageWaitingIndOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesMessageWaitingInd, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalMessageWaitingIndOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesMessageWaitingInd, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalNetworkBusyOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNetworkBusy, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalNetworkBusyOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesNetworkBusy, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalRingingOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRinging, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalRingingOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRinging, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDistinctiveRingingOn(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDistinctiveRinging, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDistinctiveRingingOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDistinctiveRinging, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalRingsplash(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRingsplashOrReturnSeizure, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalPromptTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesPromptTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalErrorTone(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesErrorTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalStutterDialtoneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesStutterDialtone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalStutterDialtoneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesStutterDialtone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalAlertingToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAlertingTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalAlertingToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesAlertingTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalRecorderWarningToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRecorderWarningTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalRecorderWarningToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesRecorderWarningTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalCallingCardServiceToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallingCardServiceTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalCallingCardServiceToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesCallingCardServiceTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalOffHookWarningToneOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOffHookWarningTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalOffHookWarningToneOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOffHookWarningTone, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalDistinctiveTonePattern(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesDistinctiveTonePattern, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalOffHookTransitionOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOffHookTransition, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalOffHookTransitionOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOffHookTransition, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalOnHookTransitionOn(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOnHookTransition, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalOnHookTransitionOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesOnHookTransition, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalFlashHook(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesFlashHook, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalLoadAJavaScriptOn(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLoadAJavaScript, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalLoadAJavaScriptOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLoadAJavaScript, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalLoadAPerlScriptOn(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLoadAPerlScript, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalLoadAPerlScriptOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLoadAPerlScript, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalLoadATCLScriptOn(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLoadATCLScript, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalLoadATCLScriptOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLoadATCLScript, s);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalLoadAnXMLScriptOn(const string& arg,string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLoadAnXMLScript, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcAllPackages::signalLoadAnXMLScriptOff(string s)
{
    MgcpGenericEvent foo(MgcpAllPackagesType, MgcAllPackagesLoadAnXMLScript, s);
    return foo;
}
#endif // end of #ifndef NCS_PROFILE


/*****************************************************************/
/* NCS PROFILE part */
/*****************************************************************/
#ifdef NCS_PROFILE
MgcRequestedEvent MgcNCSLinePackage::requestModemDetect(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageModemDetect, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestFaxToneDetect(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageFaxToneDetect, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestLongDurationConnection(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageLongDurationConnection, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestMediaStart(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageMediaStart, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageReportFailure, s);
    return foo;
}
 MgcRequestedEvent MgcNCSLinePackage::requestDTMF_0(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_0, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_1(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_1, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_2(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_2, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_3(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_3, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_4(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_4, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_5(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_5, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_6(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_6, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_7(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_7, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_8(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_8, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_9(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_9, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_Hash(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_Hash, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_Star(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_Star, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_A(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_A, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_B(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_B, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_C(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_C, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestDTMF_D(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_D, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestLongDurationIndicator(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageLongDurationIndicator, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestWildcardMatch(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageWildcardMatchAnyDigit_0_9, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestInterdigitTimer(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageInterdigitTimer, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestOffHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageOffHookTransition, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestOnHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageOnHookTransition, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestFlashHook(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageFlashHook, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestAnswerTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageAnswerTone, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageReportOnCompletion, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestOffHookWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageOffHookWarningTone, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestTeletypeDeviceForDeaf(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageTeletypeDeviceForDeaf, s);
    return foo;
}
MgcRequestedEvent MgcNCSLinePackage::requestAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageAllEvents, s);
    return foo;
}

/// MgcNCSLinePackage signals
MgcSignalEvent MgcNCSLinePackage::signalRingBackTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageRingBackTone, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalConfirmTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageConfirmTone, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_0(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_0, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_1(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_1, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_2(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_2, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_3(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_3, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_4(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_4, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_5(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_5, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_6(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_6, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_7(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_7, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_8(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_8, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_9(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_9, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_Hash(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_Hash, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_Star(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_Star, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_A(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_A, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_B(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_B, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_C(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_C, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDTMF_D(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDTMF_D, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalReorderTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageReorderTone, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalVisualMessageWaitingIndicatorOn(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageVisualMessageWaitingIndicator, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalVisualMessageWaitingIndicatorOff(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageVisualMessageWaitingIndicator, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalBusyTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageBusyTone, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalCallerId(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageCallerId, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalCallWaitingTone1(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageCallWaitingTone1, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalCallWaitingTone2(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageCallWaitingTone2, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalCallWaitingTone3(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageCallWaitingTone3, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalCallWaitingTone4(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageCallWaitingTone4, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDialTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDialTone, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalMessageWaitingInd(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageMessageWaitingInd, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalRinging(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageRinging, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDistinctiveRinging0(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDistinctiveRinging0, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDistinctiveRinging1(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDistinctiveRinging1, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDistinctiveRinging2(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDistinctiveRinging2, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDistinctiveRinging3(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDistinctiveRinging3, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDistinctiveRinging4(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDistinctiveRinging4, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDistinctiveRinging5(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDistinctiveRinging5, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDistinctiveRinging6(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDistinctiveRinging6, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalDistinctiveRinging7(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageDistinctiveRinging7, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalRingsplash(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageRingsplash, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalStutterDialtone(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageStutterDialtone, s);
    return foo;
}
MgcSignalEvent MgcNCSLinePackage::signalOffHookWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSLinePackageType, MgcNCSLinePackageOffHookWarningTone, s);
    return foo;
}


/// MgcNCSAdsiPackage method
MgcSignalEvent MgcNCSAdsiPackage::signalAdsiDisplay(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpNCSAdsiPackageType, MgcNCSAdsiPackageAdsiDisplay, s);
    foo.setParameter(0, arg);
    return foo;
}


/// MgcNCSAllPackages methods
MgcRequestedEvent MgcNCSAllPackages::requestModemDetect(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesModemDetect, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestFaxToneDetect(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesFaxToneDetect, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestLongDurationConnection(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesLongDurationConnection, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestMediaStart(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesMediaStart, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestReportFailure(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesReportFailure, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_0(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_0, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_1(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_1, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_2(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_2, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_3(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_3, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_4(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_4, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_5(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_5, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_6(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_6, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_7(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_7, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_8(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_8, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_9(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_9, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_Hash(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_Hash, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_Star(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_Star, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_A(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_A, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_B(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_B, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_C(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_C, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestDTMF_D(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_D, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestLongDurationIndicator(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesLongDurationIndicator, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestWildcardMatch(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesWildcardMatchAnyDigit_0_9, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestInterdigitTimer(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesInterdigitTimer, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestOffHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesOffHookTransition, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestOnHookTransition(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesOnHookTransition, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestFlashHook(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesFlashHook, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestAnswerTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesAnswerTone, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestReportOnCompletion(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesReportOnCompletion, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestOffHookWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesOffHookWarningTone, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestTeletypeDeviceForDeaf(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesTeletypeDeviceForDeaf, s);
    return foo;
}
MgcRequestedEvent MgcNCSAllPackages::requestAllEvents(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesAllEvents, s);
    return foo;
}

/// MgcNCSAllPackages signals
MgcSignalEvent MgcNCSAllPackages::signalRingBackTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesRingBackTone, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalConfirmTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesConfirmTone, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_0(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_0, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_1(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_1, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_2(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_2, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_3(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_3, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_4(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_4, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_5(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_5, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_6(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_6, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_7(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_7, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_8(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_8, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_9(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_9, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_Hash(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_Hash, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_Star(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_Star, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_A(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_A, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_B(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_B, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_C(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_C, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDTMF_D(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDTMF_D, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalReorderTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesReorderTone, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalVisualMessageWaitingIndicatorOn(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesVisualMessageWaitingIndicator, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalVisualMessageWaitingIndicatorOff(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesVisualMessageWaitingIndicator, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalBusyTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesBusyTone, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalCallerId(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesCallerId, s);
    foo.setParameter(0, arg);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalCallWaitingTone1(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesCallWaitingTone1, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalCallWaitingTone2(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesCallWaitingTone2, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalCallWaitingTone3(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesCallWaitingTone3, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalCallWaitingTone4(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesCallWaitingTone4, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDialTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDialTone, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalMessageWaitingInd(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesMessageWaitingInd, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalRinging(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesRinging, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDistinctiveRinging0(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDistinctiveRinging0, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDistinctiveRinging1(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDistinctiveRinging1, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDistinctiveRinging2(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDistinctiveRinging2, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDistinctiveRinging3(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDistinctiveRinging3, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDistinctiveRinging4(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDistinctiveRinging4, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDistinctiveRinging5(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDistinctiveRinging5, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDistinctiveRinging6(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDistinctiveRinging6, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalDistinctiveRinging7(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesDistinctiveRinging7, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalRingsplash(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesRingsplash, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalStutterDialtone(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesStutterDialtone, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalOffHookWarningTone(string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesOffHookWarningTone, s);
    return foo;
}
MgcSignalEvent MgcNCSAllPackages::signalAdsiDisplay(const string& arg, string s)
{
    MgcpGenericEvent foo(MgcpNCSAllPackagesType, MgcNCSAllPackagesAdsiDisplay, s);
    foo.setParameter(0, arg);
    return foo;
}
#endif // end of #ifdef NCS_PROFILE
