#ifndef MGC_TYPES_HXX
#define MGC_TYPES_HXX

/* ====================================================================
 * The Vovida Software License, Version 1.0 
 * 
 * Copyright (c) 2000 Vovida Networks, Inc.  All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 
 * 3. The names "VOCAL", "Vovida Open Communication Application Library",
 *    and "Vovida Open Communication Application Library (VOCAL)" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact vocal@vovida.org.
 *
 * 4. Products derived from this software may not be called "VOCAL", nor
 *    may "VOCAL" appear in their name, without prior written
 *    permission of Vovida Networks, Inc.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
 * NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
 * IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 * 
 * ====================================================================
 * 
 * This software consists of voluntary contributions made by Vovida
 * Networks, Inc. and many individuals on behalf of Vovida Networks,
 * Inc.  For more information on Vovida Networks, Inc., please see
 * <http://www.vovida.org/>.
 *
 */

static const char* const MgcTypes_hxx_Version = 
"$Id: MgcTypes.hxx,v 1.3 2001/01/26 02:46:21 liuhong Exp $";



#include "global.h"
#include "MgcpEventTypes.hxx"

typedef void* MgcNCSLinePackageEventPtr;
typedef void* MgcNCSAdsiPackageEventPtr;
typedef void* MgcNCSAllPackagesEventPtr;
typedef void* MgcpNCSLinePackageItemTypePtr;
typedef void* MgcpNCSAdsiPackageItemTypePtr;
typedef void* MgcpNCSAllPackagesItemTypePtr;

typedef void* MgcAllPackagesEventPtr;
typedef void* MgcpAllPackagesItemTypePtr;

typedef void* MgcRequestedEventPtr;
typedef void* Sptr_Tmpl_MgcRequestedEvent_Ptr;
typedef void* Sptr_Tmpl_MgcEvent_Ptr;

typedef void* Sptr_Tmpl_MgcSignalEvent_Ptr;
typedef void* Sptr_Tmpl_MgcEvent_Ptr;

typedef void* MgcpQuarantineTreatmentPtr;
typedef void* MgcpNotificationHandlingPtr;
typedef void* MgcpParameterCapabilitiesPtr;
typedef void* MgcpParameterConnectionParametersPtr;
typedef void* MgcpParameterConnectionModeEnumPtr;

typedef void* MgcAuditConnectionPtr;
typedef void* MgcAuditEndpointPtr;
typedef void* MgcCommandPtr;
typedef void* MgcCommandTypePtr;
typedef void* MgcCreateConnectionPtr;
typedef void* MgcDeleteConnectionAgentPtr;
typedef void* MgcDeleteConnectionGwPtr;
typedef void* MgcEndpointConfigurationPtr;
typedef void* MgcModifyConnectionPtr;
typedef void* MgcNotificationRequestPtr;
typedef void* MgcNotifyPtr;
typedef void* MgcObservedEventPtr;
typedef void* MgcRequestedEventPtr;
typedef void* MgcRestartInProgressPtr;
typedef void* MgcSignalEventPtr;
typedef void* MgcpBearerInformationPtr;
typedef void* MgcpCommandPtr;
typedef void* MgcpResponsePtr;
typedef void* SdpSessionPtr;

typedef void* MgcCommandPtr;
typedef void* MgcGatewayPtr;
typedef void* MgcGatewayHandlePtr;
typedef void* fd_setPtr;

typedef void* MgcAnnouncementPackagePtr;
typedef void* MgcAnnouncementPackageEventPtr;
typedef void* MgcDTMFPackagePtr;
typedef void* MgcDTMFPackageEventPtr;
typedef void* MgcGenericPackagePtr;
typedef void* MgcGenericPackageEventPtr;
typedef void* MgcHandsetPackagePtr;
typedef void* MgcHandsetPackageEventPtr;
typedef void* MgcLinePackagePtr;
typedef void* MgcLinePackageEventPtr;
typedef void* MgcMFPackagePtr;
typedef void* MgcMFPackageEventPtr;
typedef void* MgcNetworkAccessServerPackagePtr;
typedef void* MgcNetworkAccessServerPackageEventPtr;
typedef void* MgcRTPPackagePtr;
typedef void* MgcRTPPackageEventPtr;
typedef void* MgcRequestedEventPtr;
typedef void* MgcScriptPackagePtr;
typedef void* MgcScriptPackageEventPtr;
typedef void* MgcSignalEventPtr;
typedef void* MgcTrunkPackagePtr;
typedef void* MgcTrunkPackageEventPtr;
typedef void* MgcpAnnouncementPackageItemTypePtr;
typedef void* MgcpDTMFPackageItemTypePtr;
typedef void* MgcpGenericEventPtr;
typedef void* MgcXVoiceMailPackagePtr;
typedef void* MgcXVoiceMailPackageEventPtr;
typedef void* MgcpXVoiceMailPackageItemTypePtr;



typedef void* MgcpGenericPackageItemTypePtr;
typedef void* MgcpHandsetPackageItemTypePtr;
typedef void* MgcpLinePackageItemTypePtr;
typedef void* MgcpMFPackageItemTypePtr;
typedef void* MgcpNetworkAccessServerPackageItemTypePtr;
typedef void* MgcpPackageTypePtr;
typedef void* MgcpRTPPackageItemTypePtr;
typedef void* MgcpScriptPackageItemTypePtr;
typedef void* MgcpTrunkPackageItemTypePtr;
typedef void* MgcpBearerInformationPtr;
typedef void* MgcpConnectionOptionsPtr;

typedef void* Sptr_Tmpl_MgcObservedEvent_Ptr;
typedef void* Sptr_Tmpl_MgcCommand_Ptr;
typedef void* Sptr_Tmpl_MgcpResponse_Ptr;
typedef void* Sptr_Tmpl_MgcpCommand_Ptr;
typedef void* MgcMessageStuffPtr;


typedef enum MgcCommandType /* want to change this to a typedef */
{
    MgcInvalidCommandType,
    MgcEndpointConfigurationType,
    MgcCreateConnectionType,
    MgcModifyConnectionType,
    MgcDeleteConnectionAgentType,
    MgcNotificationRequestType,
    MgcNotifyType,
    MgcAuditEndpointType,
    MgcAuditConnectionType,
    MgcRestartInProgressType,
    MgcDeleteConnectionGwType
}MgcCommandType;


#ifndef __cplusplus


#endif

#endif
