#ifndef MGCP_EVENT_TYPES_HXX
#define MGCP_EVENT_TYPES_HXX

/* ====================================================================
 * The Vovida Software License, Version 1.0 
 * 
 * Copyright (c) 2000 Vovida Networks, Inc.  All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 
 * 3. The names "VOCAL", "Vovida Open Communication Application Library",
 *    and "Vovida Open Communication Application Library (VOCAL)" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact vocal@vovida.org.
 *
 * 4. Products derived from this software may not be called "VOCAL", nor
 *    may "VOCAL" appear in their name, without prior written
 *    permission of Vovida Networks, Inc.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
 * NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
 * IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 * 
 * ====================================================================
 * 
 * This software consists of voluntary contributions made by Vovida
 * Networks, Inc. and many individuals on behalf of Vovida Networks,
 * Inc.  For more information on Vovida Networks, Inc., please see
 * <http://www.vovida.org/>.
 *
 */

static const char* const mgcpEventTypes_hxx_Version = 
"$Id: MgcpEventTypes.hxx,v 1.2 2001/01/26 02:46:28 liuhong Exp $";



#include "global.h"

#ifndef NCS_PROFILE
typedef enum
{
    MgcGenericPackageModemDetect = 0,
    MgcGenericPackageFaxToneDetect,
    MgcGenericPackageLongDurationConnection,
    MgcGenericPackagePatternDetected,
    MgcGenericPackageRingBackTone,
    MgcGenericPackageRingBackOnConnection,
    MgcGenericPackageConfirmTone,
    MgcGenericPackageNetworkCongestionTone,
    MgcGenericPackageInterceptTone,
    MgcGenericPackagePreemtionTone,
    MgcGenericPackageReportFailure,
    MgcGenericPackageAllEvents,
    MgcGenericPackageUndefined    /// has to be the last item 
} MgcpGenericPackageItemType;


typedef enum
{
    MgcDTMFPackageDTMF_0 = 100,
    MgcDTMFPackageDTMF_1,
    MgcDTMFPackageDTMF_2,
    MgcDTMFPackageDTMF_3,
    MgcDTMFPackageDTMF_4,
    MgcDTMFPackageDTMF_5,
    MgcDTMFPackageDTMF_6,
    MgcDTMFPackageDTMF_7,
    MgcDTMFPackageDTMF_8,
    MgcDTMFPackageDTMF_9,
    MgcDTMFPackageDTMF_Hash,
    MgcDTMFPackageDTMF_Star,
    MgcDTMFPackageDTMF_A,
    MgcDTMFPackageDTMF_B,
    MgcDTMFPackageDTMF_C,
    MgcDTMFPackageDTMF_D,
    MgcDTMFPackageLongDurationIndicator,
    MgcDTMFPackageWildcardMatchAnyDigit_0_9,
    MgcDTMFPackageInterdigitTimer,
    MgcDTMFPackageReportFailure,
    MgcDTMFPackageAllEvents,
    MgcDTMFPackageUndefined   /// has to be the last item 
} MgcpDTMFPackageItemType;


typedef enum
{
    MgcMFPackageMF_0 = 200,
    MgcMFPackageMF_1,
    MgcMFPackageMF_2,
    MgcMFPackageMF_3,
    MgcMFPackageMF_4,
    MgcMFPackageMF_5,
    MgcMFPackageMF_6,
    MgcMFPackageMF_7,
    MgcMFPackageMF_8,
    MgcMFPackageMF_9,
    MgcMFPackageWildcardMatchAnyDigit_0_9,
    MgcMFPackageInterdigitTimer,
    MgcMFPackageMFK0,
    MgcMFPackageMFK1,
    MgcMFPackageMFK2,
    MgcMFPackageMFS0,
    MgcMFPackageMFS1,
    MgcMFPackageMFS2,
    MgcMFPackageMFS3,
    MgcMFPackageWink,
    MgcMFPackageWinkOff,
    MgcMFPackageIncomingSeizure,
    MgcMFPackageReturnSeizure,
    MgcMFPackageUnseizeCircuit,
    MgcMFPackageReportFailure,
    MgcMFPackageAllEvents,
    MgcMFPackageUndefined   /// has to be the last item 
} MgcpMFPackageItemType;


typedef enum
{
    MgcTrunkPackageContinuityTone = 300,
    MgcTrunkPackageContinuityTest,
    MgcTrunkPackageLoopback,
    MgcTrunkPackageOldMilliwattTone,
    MgcTrunkPackageNewMilliwattTone,
    MgcTrunkPackageTestLine,
    MgcTrunkPackageNoCircuit,
    MgcTrunkPackageAnswerSupervision,
    MgcTrunkPackageReorderTone,
    MgcTrunkPackageReportFailure,
    MgcTrunkPackageAllEvents,
    MgcTrunkPackageUndefined   /// has to be the last item 
} MgcpTrunkPackageItemType;


typedef enum
{
    MgcLinePackageAdsiDisplay = 400,
    MgcLinePackageVisualMessageWaitingIndicator,
    MgcLinePackageOffHookTransition,
    MgcLinePackageOnHookTransition,
    MgcLinePackageFlashHook,
    MgcLinePackageAnswerTone,
    MgcLinePackageBusyTone,
    MgcLinePackageCallerId,
    MgcLinePackageCallWaitingTone,
    MgcLinePackageCallWaitingTone1,
    MgcLinePackageCallWaitingTone2,
    MgcLinePackageCallWaitingTone3,
    MgcLinePackageCallWaitingTone4,
    MgcLinePackageDialTone,
    MgcLinePackageMessageWaitingInd,
    MgcLinePackageNetworkBusy,
    MgcLinePackageRinging,
    MgcLinePackageDistinctiveRinging,
    MgcLinePackageRingsplash,
    MgcLinePackagePromptTone,
    MgcLinePackageErrorTone,
    MgcLinePackageStutterDialtone,
    MgcLinePackageAlertingTone,
    MgcLinePackageRecorderWarningTone,
    MgcLinePackageSITTone,
    MgcLinePackageCallingCardServiceTone,
    MgcLinePackageReportOnCompletion,
    MgcLinePackageOffHookWarningTone,
    MgcLinePackageDistinctiveTonePattern,
    MgcLinePackageReportFailure,
    MgcLinePackageAllEvents,
    MgcLinePackageUndefined   /// has to be the last item 
} MgcpLinePackageItemType;


typedef enum
{
    MgcHandsetPackageAdsiDisplay = 500,
    MgcHandsetPackageTeletypeDeviceForDeaf,
    MgcHandsetPackageVisualMessageWaitingIndicator,
    MgcHandsetPackageOffHookTransition,
    MgcHandsetPackageOnHookTransition,
    MgcHandsetPackageFlashHook,
    MgcHandsetPackageAnswerTone,
    MgcHandsetPackageBusyTone,
    MgcHandsetPackageCallWaitingTone,
    MgcHandsetPackageDialTone,
    MgcHandsetPackageNetworkBusy,
    MgcHandsetPackageRinging,
    MgcHandsetPackageDistinctiveRinging,
    MgcHandsetPackagePromptTone,
    MgcHandsetPackageErrorTone,
    MgcHandsetPackageStutterDialtone,
    MgcHandsetPackageAlertingTone,
    MgcHandsetPackageRecorderWarningTone,
    MgcHandsetPackageSITTone,
    MgcHandsetPackageCallingCardServiceTone,
    MgcHandsetPackageReportOnCompletion,
    MgcHandsetPackageOffHookWarningTone,
    MgcHandsetPackageDistinctiveTonePattern,
    MgcHandsetPackageReportFailure,
    MgcHandsetPackageAllEvents,
    MgcHandsetPackageUndefined   /// has to be the last item 
} MgcpHandsetPackageItemType;


typedef enum
{
    MgcRTPPackageUsedCodecChanged = 600,
    MgcRTPPackageSamplingRateChanged,
    MgcRTPPackageJitterBufferSizeChanged,
    MgcRTPPackagePacketLossExceeded,
    MgcRTPPackageQualityAlert,
    MgcRTPPackageReportFailure,
    MgcRTPPackageAllEvents,
    MgcRTPPackageUndefined   /// has to be the last item 
} MgcpRTPPackageItemType;


typedef enum
{
    MgcNetworkAccessServerPackagePacketArrival = 700,
    MgcNetworkAccessServerPackageCallBackRequest,
    MgcNetworkAccessServerPackageCarrierLost,
    MgcNetworkAccessServerPackageAuthorizationSucceeded,
    MgcNetworkAccessServerPackageAuthorizationDenied,
    MgcNetworkAccessServerPackageReportFailure,
    MgcNetworkAccessServerPackageAllEvents,
    MgcNetworkAccessServerPackageUndefined   /// has to be the last item 
} MgcpNetworkAccessServerPackageItemType;


typedef enum
{
    MgcAnnouncementPackagePlayAnAnnouncement = 800,
    MgcAnnouncementPackageReportOnCompletion,
    MgcAnnouncementPackageReportFailure,
    MgcAnnouncementPackageAllEvents,
    MgcAnnouncementPackageUndefined   /// has to be the last item 
} MgcpAnnouncementPackageItemType;


typedef enum
{
    MgcScriptPackageLoadAJavaScript = 900,
    MgcScriptPackageLoadAPerlScript,
    MgcScriptPackageLoadATCLScript,
    MgcScriptPackageLoadAnXMLScript,
    MgcScriptPackageReportOnCompletion,
    MgcScriptPackageReportFailure,
    MgcScriptPackageAllEvents,
    MgcScriptPackageUndefined   /// has to be the last item 
} MgcpScriptPackageItemType;


typedef enum
{
    MgcXVoiceMailPackageCallingName = 1000,
    MgcXVoiceMailPackageCallerId,
    MgcXVoiceMailPackageReasonCallForward,
    MgcXVoiceMailPackageReasonForwardNoAnswer,
    MgcXVoiceMailPackageReasonForwardBusy,
    MgcXVoiceMailPackageReasonForwardOnTime,
    MgcXVoiceMailPackageMailboxNumber,
    MgcXVoiceMailPackageMessageWaitingInd,
    MgcXVoiceMailPackageAllEvents,
    MgcXVoiceMailPackageUndefined   /// has to be the last item 
} MgcpXVoiceMailPackageItemType;


/// all possible events in all packages, wildcard support
typedef enum
{
  MgcAllPackagesModemDetect = 1100,       // encoding = "mt"
  MgcAllPackagesFaxToneDetect,            // encoding = "ft"
  MgcAllPackagesLongDurationConnection,   // encoding = "ld"  
  MgcAllPackagesPatternDetected,          // encoding = "pat("; encoding += parameter[0]; encoding +=")";
  MgcAllPackagesRingBackTone,             // encoding = "rt"
  MgcAllPackagesRingBackOnConnection,     // encoding = "rbk("; encoding += parameter[0]; encoding +=")";
  MgcAllPackagesConfirmTone,              // encoding = "cf";
  MgcAllPackagesNetworkCongestionTone,    // encoding = "cg";
  MgcAllPackagesInterceptTone,            // encoding = "it";
  MgcAllPackagesPreemtionTone,            // encoding = "pt";
  MgcAllPackagesReportFailure,            // encoding = "of";
  MgcAllPackagesDTMF_0,                   // encoding = "0";
  MgcAllPackagesDTMF_1,                   // encoding = "1";
  MgcAllPackagesDTMF_2,                   // encoding = "2";
  MgcAllPackagesDTMF_3,                   // encoding = "3";
  MgcAllPackagesDTMF_4,                   // encoding = "4";  
  MgcAllPackagesDTMF_5,                   // encoding = "5";
  MgcAllPackagesDTMF_6,                   // encoding = "6";
  MgcAllPackagesDTMF_7,                   // encoding = "7";
  MgcAllPackagesDTMF_8,                   // encoding = "8";
  MgcAllPackagesDTMF_9,                   // encoding = "9";
  MgcAllPackagesDTMF_Hash,                // encoding = "#";
  MgcAllPackagesDTMF_Star,                // encoding = "*";
  MgcAllPackagesDTMF_A,                   // encoding = "a";
  MgcAllPackagesDTMF_B,                   // encoding = "b";
  MgcAllPackagesDTMF_C,                   // encoding = "c";
  MgcAllPackagesDTMF_D,                   // encoding = "d";
  MgcAllPackagesLongDurationIndicator,    // encoding = "l";
  MgcAllPackagesWildcardMatchAnyDigit_0_9,// encoding = "x";
  MgcAllPackagesInterdigitTimer,          // encoding = "t";
  MgcAllPackagesAdsiDisplay,              // encoding = "adsi("; encoding += parameter[0]; encoding +=")";
  MgcAllPackagesVisualMessageWaitingIndicator, // encoding = "vmwi";
  MgcAllPackagesOffHookTransition,        // encoding = "hd";
  MgcAllPackagesOnHookTransition,         // encoding = "hu";
  MgcAllPackagesFlashHook,                // encoding = "hf";
  MgcAllPackagesAnswerTone,               // encoding = "aw";
  MgcAllPackagesBusyTone,                 // encoding = "bz";
  MgcAllPackagesCallerId,                 // encoding = "ci("; encoding += parameter[0]; encoding +=")";
  MgcAllPackagesCallWaitingTone,          // encoding = "wt";
  MgcAllPackagesCallWaitingTone1,        // encoding = "wt1";
  MgcAllPackagesCallWaitingTone2,        // encoding = "wt2";
  MgcAllPackagesCallWaitingTone3,        // encoding = "wt3";
  MgcAllPackagesCallWaitingTone4,        // encoding = "wt4";
  MgcAllPackagesDialTone,                 // encoding = "dl";
  MgcAllPackagesMessageWaitingInd,        // encoding = "mwi";
  MgcAllPackagesNetworkBusy,              // encoding = "nbz";
  MgcAllPackagesRinging,                  // encoding = "rg";
  MgcAllPackagesDistinctiveRinging,       // encoding = "r("; encoding += parameter[0]; encoding +=")";
  MgcAllPackagesRingsplashOrReturnSeizure,// encoding = "rs";
  MgcAllPackagesPromptTone,               // encoding = "p";
  MgcAllPackagesErrorTone,                // encoding = "e";
  MgcAllPackagesStutterDialtone,          // encoding = "sdl";
  MgcAllPackagesAlertingTone,             // encoding = "v";
  MgcAllPackagesRecorderWarningTone,      // encoding = "y";
  MgcAllPackagesSITTone,                  // encoding = "sit";
  MgcAllPackagesCallingCardServiceTone,   // encoding = "z";
  MgcAllPackagesReportOnCompletion,       // encoding = "oc";
  MgcAllPackagesOffHookWarningTone,       // encoding = "ot";
  MgcAllPackagesDistinctiveTonePattern,   // encoding = "s("; encoding += parameter[0]; encoding +=")";
  MgcAllPackagesK0,                       // encoding = "k0";
  MgcAllPackagesK1,                       // encoding = "k1";
  MgcAllPackagesK2,                       // encoding = "k2";
  MgcAllPackagesS0,                       // encoding = "s0";
  MgcAllPackagesS1,                       // encoding = "s1";
  MgcAllPackagesS2,                       // encoding = "s2";
  MgcAllPackagesS3,                       // encoding = "s3";
  MgcAllPackagesWink,                     // encoding = "wk";
  MgcAllPackagesWinkOff,                  // encoding = "wko";
  MgcAllPackagesIncomingSeizure,          // encoding = "is";
  MgcAllPackagesUnseizeCircuit,           // encoding = "us";
  MgcAllPackagesContinuityTone,           // encoding = "co1";
  MgcAllPackagesContinuityTest,           // encoding = "co2";
  MgcAllPackagesLoopback,                 // encoding = "lb";
  MgcAllPackagesOldMilliwattTone,         // encoding = "om";
  MgcAllPackagesNewMilliwattTone,         // encoding = "nm";
  MgcAllPackagesTestLine,                 // encoding = "tl";
  MgcAllPackagesNoCircuit,                // encoding = "zz";
  MgcAllPackagesAnswerSupervision,        // encoding = "as";
  MgcAllPackagesReorderTone,              // encoding = "ro";
  MgcAllPackagesTeletypeDeviceForDeaf,    // encoding = "tdd";
  MgcAllPackagesUsedCodecChanged,         // encoding = "uc";
  MgcAllPackagesSamplingRateChanged,      // encoding = "sr("; encoding += parameter[0]; encoding +=")";
  MgcAllPackagesJitterBufferSizeChanged,  // encoding = "ji("; encoding += parameter[0]; encoding +=")";
  MgcAllPackagesLossExceeded,             // encoding = "pl("; encoding += parameter[0]; encoding +=")";
  MgcAllPackagesQualityAlert,             // encoding = "qa";
  MgcAllPackagesPacketArrival,            // encoding = "pa";
  MgcAllPackagesCallBackRequest,          // encoding = "cbk";
  MgcAllPackagesCarrierLost,              // encoding = "cl";
  MgcAllPackagesAuthorizationSucceeded,   // encoding = "au";
  MgcAllPackagesAuthorizationDenied,      // encoding = "ax";
  MgcAllPackagesPlayAnAnnouncement,       // encoding = "ann("; encoding += parameter[0]; encoding +=","; encoding += parameter[1]; encoding +=")";
  MgcAllPackagesLoadAJavaScript,          // encoding = "java("; encoding += parameter[0]; encoding +=")";
  MgcAllPackagesLoadAPerlScript,          // encoding = "perl("; encoding += parameter[0]; encoding +=")";
  MgcAllPackagesLoadATCLScript,           // encoding = "tcl("; encoding += parameter[0]; encoding +=")";
  MgcAllPackagesLoadAnXMLScript,          // encoding = "xml("; encoding += parameter[0]; encoding +=")";
  MgcAllPackagesAllEvents,                // encode = "all"
  MgcAllPackagesUndefined                 // should always be the last item in the enum
} MgcpAllPackagesItemType;
#endif

#ifdef NCS_PROFILE
typedef enum
{
  MgcNCSLinePackageModemDetect = 1200,       /// encoding = "mt"
  MgcNCSLinePackageFaxToneDetect,            /// encoding = "ft"
  MgcNCSLinePackageLongDurationConnection,   /// encoding = "ld" 
  MgcNCSLinePackageMediaStart,               /// encoding = "ma" 
  MgcNCSLinePackageRingBackTone,             /// encoding = "rt"
  MgcNCSLinePackageConfirmTone,              /// encoding = "cf";
  MgcNCSLinePackageReportFailure,            /// encoding = "of";
  MgcNCSLinePackageDTMF_0,                   /// encoding = "0";
  MgcNCSLinePackageDTMF_1,                   /// encoding = "1";
  MgcNCSLinePackageDTMF_2,                   /// encoding = "2";
  MgcNCSLinePackageDTMF_3,                   /// encoding = "3";
  MgcNCSLinePackageDTMF_4,                   /// encoding = "4";  
  MgcNCSLinePackageDTMF_5,                   /// encoding = "5";
  MgcNCSLinePackageDTMF_6,                   /// encoding = "6";
  MgcNCSLinePackageDTMF_7,                   /// encoding = "7";
  MgcNCSLinePackageDTMF_8,                   /// encoding = "8";
  MgcNCSLinePackageDTMF_9,                   /// encoding = "9";
  MgcNCSLinePackageDTMF_Hash,                /// encoding = "#";
  MgcNCSLinePackageDTMF_Star,                /// encoding = "*";
  MgcNCSLinePackageDTMF_A,                   /// encoding = "A";
  MgcNCSLinePackageDTMF_B,                   /// encoding = "B";
  MgcNCSLinePackageDTMF_C,                   /// encoding = "C";
  MgcNCSLinePackageDTMF_D,                   /// encoding = "D";
  MgcNCSLinePackageLongDurationIndicator,    /// encoding = "L";
  MgcNCSLinePackageWildcardMatchAnyDigit_0_9,/// encoding = "X";
  MgcNCSLinePackageInterdigitTimer,          /// encoding = "t";
  MgcNCSLinePackageVisualMessageWaitingIndicator, /// encoding = "vmwi";
  MgcNCSLinePackageOffHookTransition,        /// encoding = "hd";
  MgcNCSLinePackageOnHookTransition,         /// encoding = "hu";
  MgcNCSLinePackageFlashHook,                /// encoding = "hf";
  MgcNCSLinePackageAnswerTone,               /// encoding = "aw";
  MgcNCSLinePackageBusyTone,                 /// encoding = "bz";
  MgcNCSLinePackageCallerId,                 /// encoding = "ci("; encoding+=parameter[0]; encoding+=","; //time
                                             ///                   encoding+=parameter[1]; encoding+=","; //number
                                             ///                   encoding+=parameter[2]; encoding+=","; //name
                                             /// encoding +=")";
  MgcNCSLinePackageCallWaitingTone1,         /// encoding = "wt1";
  MgcNCSLinePackageCallWaitingTone2,         /// encoding = "wt2";
  MgcNCSLinePackageCallWaitingTone3,         /// encoding = "wt3";
  MgcNCSLinePackageCallWaitingTone4,         /// encoding = "wt4";
  MgcNCSLinePackageDialTone,                 /// encoding = "dl";
  MgcNCSLinePackageMessageWaitingInd,        /// encoding = "mwi";
  MgcNCSLinePackageRinging,                  /// encoding = "rg";
  MgcNCSLinePackageDistinctiveRinging0,      /// encoding = "r0"; 
  MgcNCSLinePackageDistinctiveRinging1,      /// encoding = "r1"; 
  MgcNCSLinePackageDistinctiveRinging2,      /// encoding = "r2";
  MgcNCSLinePackageDistinctiveRinging3,      /// encoding = "r3"; 
  MgcNCSLinePackageDistinctiveRinging4,      /// encoding = "r4"; 
  MgcNCSLinePackageDistinctiveRinging5,      /// encoding = "r5"; 
  MgcNCSLinePackageDistinctiveRinging6,      /// encoding = "r6"; 
  MgcNCSLinePackageDistinctiveRinging7,      /// encoding = "r7"; 
  MgcNCSLinePackageRingsplash,               /// encoding = "rs";
  MgcNCSLinePackageStutterDialtone,          /// encoding = "sl";
  MgcNCSLinePackageReportOnCompletion,       /// encoding = "oc";
  MgcNCSLinePackageOffHookWarningTone,       /// encoding = "ot";
  MgcNCSLinePackageReorderTone,              /// encoding = "ro";
  MgcNCSLinePackageTeletypeDeviceForDeaf,    /// encoding = "TDD";
  MgcNCSLinePackageAllEvents,                /// encode = "all"
  MgcNCSLinePackageUndefined                 /// should always be the last item in the enum

} MgcpNCSLinePackageItemType;


typedef enum
{
  MgcNCSAdsiPackageAdsiDisplay = 1300,       /// encoding = "adsi("; encoding += parameter[0]; encoding +=")";
  MgcNCSAdsiPackageAllEvents,                /// encode = "all"
  MgcNCSAdsiPackageUndefined                 /// should always be the last item in the enum
} MgcpNCSAdsiPackageItemType;


typedef enum
{
  MgcNCSAllPackagesModemDetect = 1400,       /// encoding = "mt"
  MgcNCSAllPackagesFaxToneDetect,            /// encoding = "ft"
  MgcNCSAllPackagesLongDurationConnection,   /// encoding = "ld" 
  MgcNCSAllPackagesMediaStart,               /// encodig = "ma" 
  MgcNCSAllPackagesRingBackTone,             /// encoding = "rt"
  MgcNCSAllPackagesConfirmTone,              /// encoding = "cf";
  MgcNCSAllPackagesReportFailure,            /// encoding = "of";
  MgcNCSAllPackagesDTMF_0,                   /// encoding = "0";
  MgcNCSAllPackagesDTMF_1,                   /// encoding = "1";
  MgcNCSAllPackagesDTMF_2,                   /// encoding = "2";
  MgcNCSAllPackagesDTMF_3,                   /// encoding = "3";
  MgcNCSAllPackagesDTMF_4,                   /// encoding = "4";  
  MgcNCSAllPackagesDTMF_5,                   /// encoding = "5";
  MgcNCSAllPackagesDTMF_6,                   /// encoding = "6";
  MgcNCSAllPackagesDTMF_7,                   /// encoding = "7";
  MgcNCSAllPackagesDTMF_8,                   /// encoding = "8";
  MgcNCSAllPackagesDTMF_9,                   /// encoding = "9";
  MgcNCSAllPackagesDTMF_Hash,                /// encoding = "#";
  MgcNCSAllPackagesDTMF_Star,                /// encoding = "*";
  MgcNCSAllPackagesDTMF_A,                   /// encoding = "A";
  MgcNCSAllPackagesDTMF_B,                   /// encoding = "B";
  MgcNCSAllPackagesDTMF_C,                   /// encoding = "C";
  MgcNCSAllPackagesDTMF_D,                   /// encoding = "D";
  MgcNCSAllPackagesLongDurationIndicator,    /// encoding = "L";
  MgcNCSAllPackagesWildcardMatchAnyDigit_0_9,/// encoding = "X";
  MgcNCSAllPackagesInterdigitTimer,          /// encoding = "t";
  MgcNCSAllPackagesAdsiDisplay,              /// encoding = "adsi("; encoding += parameter[0]; encoding +=")";
  MgcNCSAllPackagesVisualMessageWaitingIndicator, /// encoding = "vmwi";
  MgcNCSAllPackagesOffHookTransition,        /// encoding = "hd";
  MgcNCSAllPackagesOnHookTransition,         /// encoding = "hu";
  MgcNCSAllPackagesFlashHook,                /// encoding = "hf";
  MgcNCSAllPackagesAnswerTone,               /// encoding = "aw";
  MgcNCSAllPackagesBusyTone,                 /// encoding = "bz";
  MgcNCSAllPackagesCallerId,                 /// encoding = "ci("; encoding+=parameter[0]; encoding+=","; //time
                                             ///                   encoding+=parameter[1]; encoding+=","; //number
                                             ///                   encoding+=parameter[2]; encoding+=","; //name
                                             /// encoding +=")";
  MgcNCSAllPackagesCallWaitingTone1,         /// encoding = "wt1";
  MgcNCSAllPackagesCallWaitingTone2,         /// encoding = "wt2";
  MgcNCSAllPackagesCallWaitingTone3,         /// encoding = "wt3";
  MgcNCSAllPackagesCallWaitingTone4,         /// encoding = "wt4";
  MgcNCSAllPackagesDialTone,                 /// encoding = "dl";
  MgcNCSAllPackagesMessageWaitingInd,        /// encoding = "mwi";
  MgcNCSAllPackagesRinging,                  /// encoding = "rg";
  MgcNCSAllPackagesDistinctiveRinging0,      /// encoding = "r0"; 
  MgcNCSAllPackagesDistinctiveRinging1,      /// encoding = "r1"; 
  MgcNCSAllPackagesDistinctiveRinging2,      /// encoding = "r2";
  MgcNCSAllPackagesDistinctiveRinging3,      /// encoding = "r3"; 
  MgcNCSAllPackagesDistinctiveRinging4,      /// encoding = "r4"; 
  MgcNCSAllPackagesDistinctiveRinging5,      /// encoding = "r5"; 
  MgcNCSAllPackagesDistinctiveRinging6,      /// encoding = "r6"; 
  MgcNCSAllPackagesDistinctiveRinging7,      /// encoding = "r7"; 
  MgcNCSAllPackagesRingsplash,               /// encoding = "rs";
  MgcNCSAllPackagesStutterDialtone,          /// encoding = "sl";
  MgcNCSAllPackagesReportOnCompletion,       /// encoding = "oc";
  MgcNCSAllPackagesOffHookWarningTone,       /// encoding = "ot";
  MgcNCSAllPackagesReorderTone,              /// encoding = "ro";
  MgcNCSAllPackagesTeletypeDeviceForDeaf,    /// encoding = "tdd";
  MgcNCSAllPackagesAllEvents,                /// encode = "all"
  MgcNCSAllPackagesUndefined                 /// should always be the last item in the enum
} MgcpNCSAllPackagesItemType;
#endif

#endif
