#ifndef HEADER_TokenRecognizer_H_
#define HEADER_TokenRecognizer_H_
// this file is automatically generated!  do not edit

#include "global.h"
#include <map>
#include <string>
#include "substring.h"
enum MgcpTokenType
{
     MgcpTokenTypeAUCX,
     MgcpTokenTypeAUEP,
     MgcpTokenTypeCRCX,
     MgcpTokenTypeDLCX,
     MgcpTokenTypeEPCF,
     MgcpTokenTypeMDCX,
     MgcpTokenTypeNTFY,
     MgcpTokenTypeRQNT,
     MgcpTokenTypeRSIP,
     MgcpTokenTypeString,
     MgcpTokenTypeTableEnd,
     MgcpTokenTypeUnknown
};

struct TokenRecognizerTable
{
    char* string;
    MgcpTokenType type;
};

class TokenRecognizer
{
public:
    TokenRecognizer(struct TokenRecognizerTable* rootTable) {
	int i = 0;
	while(rootTable[i].type != MgcpTokenTypeTableEnd)
	{
	    myMap[rootTable[i].string] = rootTable[i].type;
	    i++;
	}
    };

    MgcpTokenType matchToken(const string& s) {
	return myMap[s];
    };

    MgcpTokenType matchToken(const substring& s) {
	return myMap[s.str()];
    };

private:
    map<string, MgcpTokenType> myMap;
};

extern TokenRecognizer recognizerCommands;
#endif
